<?php

namespace App\Http\Controllers;

use Carbon\Carbon;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;

class CartController extends Controller
{
    public function addToCart(Request $request)
    {
        if($request->decrement) {
            $cart = session()->get('cart');
            if (isset($cart[$request->decrement])){

            $cart[$request->decrement]['quantity']--;
//
            session()->put('cart', $cart);
//
//            return redirect()->back()->with('success', 'Product removed from cart successfully!');
                return response()->json(['updated'=>'ok'],200);
            }
        }
        $id = $request->product_without_ingredients;
        $withIngredients = $request->withIngredients;
        $price = $request->price;
        $product = DB::table('products')->where('id',$id)->first();

        if(!$product) {

            return response()->json($id);

        }

        $cart = session()->get('cart');


        // if cart is empty then this the first product
        if(!$cart) {
        if(!$withIngredients){

            $cart = [
                $id => [
                    "name" => $product->name,
                    "quantity" => 1,
                    "price" => $product->price,
                    "category"=>$product->category_id
                ]
            ];

        }
        else{
            $cart = [
                $id => [
                    "name" => $product->name,
                    "quantity" => 1,
                    "price" => $price,
                    "category"=>$product->category_id
                ]
            ];
        }
            session()->put('cart', $cart);

            return redirect()->back()->with('success', 'Product added to cart successfully!');
        }

        // if cart not empty then check if this product exist then increment quantity
        if(isset($cart[$id])) {
            if ($withIngredients){
                $cart[$id]['price']=$price;
            }
            else{
                $cart[$id]['quantity']++;
            }
            if($request->decrement){
                $cart[$request->decrement]['quantity']--;
            }

            session()->put('cart', $cart);

//            return redirect()->back()->with('success', 'Product added to cart successfully!');
            return response()->json(['hello'=>'ok'],200);
        }

        // if item not exist in cart then add to cart with quantity = 1
        if ($withIngredients){
            $cart[$id] = [
                "name" => $product->name,
                "quantity" => 1,
                "price" => $price,
                "category"=>$product->category_id
            ];
        }else{
            $cart[$id] = [
                "name" => $product->name,
                "quantity" => 1,
                "price" => $product->price,
                "category"=>$product->category_id
            ];
        }


        session()->put('cart', $cart);

        return redirect()->back()->with('success', 'Product added to cart successfully!');
    }


    public function RemoveFromCart(Request $request)
    {
        if($request->id) {
            $cart = session()->get('cart');
            if(isset($cart[$request->id])) {
                unset($cart[$request->id]);
                session()->put('cart', $cart);
            }
            session()->flash('success', 'Product removed successfully');
        }
    }


    public function add_ingredients_to_session(Request $request)
    {
        $id = $request->id;
        $product_id = $request->product;
        $product = DB::table('ingredients')->where('id',$id)->first();

        if(!$product) {

            abort(404);

        }

        $cart = session()->get('product'.$product_id);

        // if cart is empty then this the first product
        if(!$cart) {

            $cart = [
                $id => [
                    "ingredient_id" => $id,
                    "name" => $product->name,
                    "quantity" => 1,
                    "price" => $product->price,
                    "product" => $product_id
                ]
            ];

            session()->put('product'.$product_id, $cart);

            return redirect()->back()->with('success', 'Ingredient added to cart successfully!');
        }

        // if cart not empty then check if this product exist then increment quantity
//        if(isset($cart[$id])) {
//
//            $cart[$id]['quantity']++;
//
//            session()->put('cart_ingredients', $cart);
//
//            return redirect()->back()->with('success', 'Product added to cart successfully!');
//
//        }

        // if item not exist in cart then add to cart with quantity = 1
        $cart[$id] = [
            "ingredient_id" => $id,
            "name" => $product->name,
            "quantity" => 1,
            "price" => $product->price,
            "product" => $product_id
        ];

        session()->put('product'.$product_id, $cart);

        return redirect()->back()->with('success', 'Ingredient added to cart successfully!');
    }

    public function remove_ingredients(Request $request)
    {
        $id = $request->remove_ingredients;
        $product_id = $request->product;
        if($id) {
            $cart = session()->get('product'.$product_id);
            if(isset($cart[$id])) {
                unset($cart[$id]);
                session()->put('product'.$product_id, $cart);
            }
            session()->flash('success', 'Ingredient removed successfully');
        }
    }
    public function coupon(Request $request){
        $promo = strtoupper($request->promo);

        $checkHavePromo = DB::table('promos')
                            ->where('code', $promo)
//                            ->whereDate('start_date', '>=', Carbon::now())
//                            ->whereDate('end_date', '<=', Carbon::now())
                            ->first();

        if ($checkHavePromo) {
            $CatPromo = DB::table('promo_categories')->where('promo_id', $checkHavePromo->id)->get();
            $ItemPromo = DB::table('promo_items')->where('promo_id', $checkHavePromo->id)->get();
            foreach ($CatPromo as $cat) {
                foreach ($ItemPromo as $item){
                    foreach (session('cart') as $key => $cart) {
                        if ($item->item_id==$key){
                            $return_arr[] = [
                                "id" => $key,
                                "message" => 'The promo code " ' . $promo . ' " is valid for ',
                                "class" => 'text text-success',
                                "code" => $promo,
                                "name" => $cart['name'],
                                "promo_id"=>$checkHavePromo->id,
                                "promo_discount"=>$checkHavePromo->discount
                            ];
                            session()->put('promo_discount',$return_arr);

                            return response()->json($return_arr);
                        }

                    }

                    $return_arr[] = [
                        "id" => 0,
                        "message" => 'The promo code " ' . $promo . ' " is not for these products.',
                        "class" => 'text text-danger',
                        "code" => $promo,
                        "name" => null,
                        "promo_id"=>0,
                        "promo_discount"=>0
                    ];
                    session()->put('promo_discount',$return_arr);
                    return response()->json($return_arr);
                }

            }

        }
        else{

            return response()->json(['message'=>'The promo code <b>" '.$promo.' "</b> is invalid. Please try again.', 'class'=>'text text-danger']);
        }

    }
}
