<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Redirect;
use Illuminate\Support\Facades\Session;
use Illuminate\Support\Str;

class HomeController extends Controller
{
    public function index(){
//        \session()->flush();
        if (!session()->has('products')=='[]'){
            session()->put('products', []);
        }
        return view('home');
    }
    public function SaveLocation(Request $request){
        session(['isLocationSelected'=>$request->location]);

        if ($request->orderLater){
            $orderLater = [
                1 => [
                    "date" => $request->del_date,
                    "time" => $request->timepicker1,
                ]
            ];

            session()->put('orderLater', $orderLater);

        }
        return redirect(url('menu'));
    }
    public function menu($menu){

        if (!session()->has('products')=='[]'){
            session()->put('products', []);
        }

        $open_menu = DB::table('product_categories')->find($menu);
        return view('menu')->with(['menu'=>$open_menu->id]);
    }
    public function menuAll(){

        if (!session()->has('products')=='[]'){
            session()->put('products', []);
        }

        $open_menu = DB::table('product_categories')->orderBy('sortable_id')->first();
        return view('menu')->with('menu', $open_menu->id);
    }
    public function add_to_cart(Request $request){
        if (!session()->has('products')=='[]'){
            session()->put('products', []);
        }
        if ($request->product_with_ingredients){

            $products = session()->pull('products', []);
            if(($key = array_search($request->product_with_ingredients, $products)) !== false) {
                unset($products[$key]);
            }

            session()->put('products', $products);
            session()->push('products',$request->product_with_ingredients);

            $products=session()->pull('products', []);
            session()->put('products',$products);
            return Redirect::route('menu');
        }

        if ($request->product_without_ingredients){
            session()->push('products',$request->product_without_ingredients);
            $products=session()->pull('products', []);
            session()->put('products',$products);
            return Redirect::back();
        }
//        session()->push('products',$request->product);

    }

    public function select_ingredients($id){
//\session()->flush();
        $product             = DB::table('products')->where('id',$id)->first();
        $IngredientsProducts = DB::table('ingredient_products')->where('product_id', $product->id)->get();



        if (!session()->has('ingredients')=='[]'){
            session()->put('ingredients', []);
        }
        if (!session()->has($product->name.$product->id)=='[]'){
            session()->put($product->name.$product->id, []);
        }

        return view('selected_item')->with(['product'=>$product,  'IngredientsProducts'=>$IngredientsProducts]);
    }

    public function add_ingredients_to_session(Request $request){

        $ingredients_table= DB::table('ingredients')->get();
        $total=0;
        session()->push($request->product,$request->id);

        if ($request->remove_ingredients){
            $ingredients = session()->pull($request->product, []);
            if(($key = array_search($request->remove_ingredients, $ingredients)) !== false) {
                unset($ingredients[$key]);
            }
            session()->put($request->product, $ingredients);
        }


        session()->forget('qty'.$request->product);
        foreach ($ingredients_table as $ing_table){
            $ingredients = session()->pull($request->product, []);
            foreach ($ingredients as $ses){
                if ($ing_table->id==$ses){
                    $total+=$ing_table->price;
                    session()->put('qty'.$request->product,$total);
                }
            }
            session()->put($request->product, $ingredients);
        }
        return response()->json(['code'=>200, 'message'=>'Post Created successfully'], 200);
    }

    public function view_cart(){
        return view('cart');
    }

    public function add_address_from_cart(Request $request)
    {
      DB::table('user_addresses')->insert([
        'user_id'=>auth()->user()->id,
        'address'=>$request->address
      ]);

      return response()->json('Successfully');
    }
}
