<?php

namespace App\Providers;

use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Schema;
use Illuminate\Support\Facades\View;
use Illuminate\Support\ServiceProvider;

class AppServiceProvider extends ServiceProvider
{
    /**
     * Register any application services.
     *
     * @return void
     */
    public function register()
    {
        //
    }

    /**
     * Bootstrap any application services.
     *
     * @return void
     */
    public function boot()
    {
        Schema::defaultStringLength(191);

        View::composer('*', function ($view) {
            $locations  =   DB::table('locations')->where('status', '1')->get();
            $categories =   DB::table('product_categories')->orderBy('sortable_id')->limit(5)->get();
            $first_cat  =   DB::table('product_categories')->orderBy('sortable_id')->first();
            $products   =   DB::table('products')->orderBy('created_at', 'DESC')->get();
            $productsAll=   DB::table('products')->orderBy('created_at', 'DESC')->get();
            $customization= DB::table('customization')->first();
            $footer=   DB::table('footer')->first();
            if (Auth::user()){
                $user_id=auth()->user()->id;
            }else{
                $user_id=0;
            }
            $address    =   DB::table('user_addresses')->orderBy('id', 'DESC')->where('user_id', $user_id)->get();
            $path_pic   =   env('BACKEND_URL');
            $ingredients_categories = DB::table('ingredient_categories')->get();
            $ingredients= DB::table('ingredients')->get();
            $cart_session= DB::table('cart_sessions')->where('session_id', session('userID'))->get();
            $ingredients_products = DB::table('ingredient_products')->get();

            $view->with(['ingredients_products'=>$ingredients_products,'customization'=>$customization,'footer'=>$footer,'address'=>$address,'ingredients_categories'=>$ingredients_categories, 'locations'=>$locations, 'categories'=>$categories, 'path_pic'=>$path_pic, 'first_cat'=>$first_cat, 'products'=>$products, 'productsAll'=>$productsAll,'ingredients'=>$ingredients, 'cart_session'=>$cart_session]);
        });
    }
}
