<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateUsersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('users', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->string('first_name');
            $table->string('last_name');
            $table->string('name_suffix')->nullable()->default(null);
            $table->string('email')->unique();
            $table->timestamp('email_verified_at')->nullable();
            $table->string('password');
            $table->string('phone')->nullable()->default(null);
            $table->date('dob')->nullable()->default(null);
            $table->string('city')->nullable()->default(null);
            $table->bigInteger('no_of_orders')->default(0);
            $table->float('total_spent')->default(0);
            $table->text('profile_pic')->nullable()->default(null);
            $table->text('name')->nullable()->default(null);
            $table->text('address1')->nullable()->default(null);
            $table->text('address2')->nullable()->default(null);
            $table->text('building_and_unit_number')->nullable()->default(null);
            $table->enum('is_loyalty_program', [0, 1])->default(0);
            $table->enum('is_mysushi_offers', [0, 1])->default(0);
            $table->enum('is_admin', [0, 1])->default(0);
            $table->rememberToken();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('users');
    }
}
