<?php

namespace App\Http\Controllers\Api;

use App\Http\Controllers\Controller;
use App\Http\Requests\LocationsRequest;
use App\Http\Resources\LocationsResource;
use App\Models\Location;
use Illuminate\Database\QueryException;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;
use Symfony\Component\HttpFoundation\Response;

class LocationController extends Controller
{
    public function index(){
        return response()->json([

            'locations' => DB::table('locations')->get()

        ], Response::HTTP_OK);
    }

    public function status_change($id){
        $check = DB::table('locations')
            ->where('id', $id)
            ->value('status');

        if ($check==0){
            try {
                DB::beginTransaction();

                DB::table('locations')->where('id', $id)->update([
                    'status'=>1,
                ]);
            } catch (QueryException $qe) {
                DB::rollback();
                return $qe;
            }
        }
        else{
            try {
                DB::beginTransaction();

                DB::table('locations')->where('id', $id)->update([
                    'status'=>0,
                ]);
            } catch (QueryException $qe) {
                DB::rollback();
                return $qe;
            }
        }

        return response()->json([
            'success' => true,
            'data1' => $check,
        ], 200);
    }

    public function store(Request $request){
        try {
            DB::beginTransaction();
            $insert = DB::table('locations')->insert([
                'location_name'=>$request->location_name,
                'status'=>1
            ]);
            return response()->json([
                'success' => true,
                'data1' => $insert,
            ], 200);
        }catch (QueryException $q){
            DB::rollback();

            return response()->json([
                'success' => false,
                'message' => 'Error saving product.'
            ], 500);
        }


    }

    public function destroy($id)
    {
        try {
            DB::beginTransaction();
            DB::table('locations')->where('id', $id)->delete();
                return response()->json([
                    'success' => true,
                    'message' => 'Deleted.'
                ], 202);

        } catch (QueryException $qe) {
            DB::rollback();

            return response()->json([
                'success' => false,
                'message' => $qe->getMessage()
            ], 500);
        } catch (\Exception $e) {
            DB::rollback();

            return response()->json([
                'success' => false,
                'message' => 'Ingredient not found.'
            ], 404);
        }
    }

}
