<?php

namespace App\Http\Controllers\Api;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Http\Requests\SettingsRequest;
use Illuminate\Support\Facades\DB;
use Carbon\Carbon;
use App\Models\Setting;
use Image;
use Illuminate\Support\Facades\Storage;
use Illuminate\Support\Facades\File;
class SettingsController extends Controller
{
    /**
     * Get settings data
     *
     * @return  JSON  settings data
     */
    public function index()
    {
        $settings = Setting::first();
        $settings = json_decode($settings, true);
        $date_and_time['server_date_and_time'] =date("Y-m-d H:i:s");
        $data = array_merge($settings, $date_and_time);
        return response()->json($data, 200);
    }
    public function customization(Request $request){
        $customization = DB::table('customization')->first();
        return response()->json($customization, 200);
    }

    public function Footer(){
        $footer = DB::table('footer')->first();
        return response()->json($footer, 200);
    }
    public function updateFooter(Request $request){
        $settings=DB::table('footer')->first();
        DB::table('footer')->update([
            'location'=>$request->location,
            'phone1'=>$request->phone1,
            'phone2'=>$request->phone2,
            'phone3'=>$request->phone3,
            'email'=>$request->email,
            'facebook_id'=>$request->facebook_id,
            'instagram_id'=>$request->instagram_id,
        ]);

            return response()->json([
                'success' => true,
                'data' => 'OK'
            ], 200);
    }
    public function updateCustomization(Request $request){
        $settings=DB::table('customization')->first();
        DB::table('customization')->update([
            'slider_title'=>$request->slider_title,
            'section_one_title'=>$request->section_one_title,
            'section_one_desc'=>$request->section_one_desc,
            'section_two_title'=>$request->section_two_title,
            'section_two_desc'=>$request->section_two_desc,
        ]);

        $home_background_1 ='';
        if ($request->hasFile('home_background_1') && !empty($request->file('home_background_1'))) {
          @unlink('img/home_background_1.png');
          $homeimg = $request->file('home_background_1');
          $home_background_1 = 'home_background_1.png';
          // Image::make($request->file('home_background')->getRealPath())->save($home_background);
          Storage::disk('frontend')->put($home_background_1,  File::get($homeimg));

          $settings_image1 = (!empty($home_background_1)) ? 'img/'.$home_background_1 : null;
          DB::table('customization')->update([
            'home_background_1'=>$settings_image1,
        ]);
        }

        $home_background_2 ='';
        if ($request->hasFile('home_background_2') && !empty($request->file('home_background_2'))) {
          @unlink('img/home_background_2.png');
          $homeimg = $request->file('home_background_2');
          $home_background_2 = 'home_background_2.png';
          // Image::make($request->file('home_background')->getRealPath())->save($home_background);
          Storage::disk('frontend')->put($home_background_2,  File::get($homeimg));

          $settings_image2 = (!empty($home_background_2)) ? 'img/'.$home_background_2 : null;
          DB::table('customization')->update([
            'home_background_2'=>$settings_image2,
        ]);
        }

        $home_background_3 ='';
        if ($request->hasFile('home_background_3') && !empty($request->file('home_background_3'))) {
          @unlink('img/home_background_3.png');
          $homeimg = $request->file('home_background_3');
          $home_background_3 = 'home_background_3.png';
          // Image::make($request->file('home_background')->getRealPath())->save($home_background);
          Storage::disk('frontend')->put($home_background_3,  File::get($homeimg));

          $settings_image3 = (!empty($home_background_3)) ? 'img/'.$home_background_3 : null;
          DB::table('customization')->update([
            'home_background_3'=>$settings_image3,
        ]);
        }

        $home_background_4 ='';
        if ($request->hasFile('home_background_4') && !empty($request->file('home_background_4'))) {
          @unlink('img/home_background_4.png');
          $homeimg = $request->file('home_background_4');
          $home_background_4 = 'home_background_4.png';
          // Image::make($request->file('home_background')->getRealPath())->save($home_background);
          Storage::disk('frontend')->put($home_background_4,  File::get($homeimg));

          $settings_image4 = (!empty($home_background_4)) ? 'img/'.$home_background_4 : null;
          DB::table('customization')->update([
            'home_background_4'=>$settings_image4,
        ]);
        }

        $mobile_background ='';
        if ($request->hasFile('mobile_background') && !empty($request->file('mobile_background'))) {
          @unlink('img/mobile_background.png');
          $homeimg = $request->file('mobile_background');
          $mobile_background = 'mobile_background.png';
          // Image::make($request->file('home_background')->getRealPath())->save($home_background);
          Storage::disk('frontend')->put($mobile_background,  File::get($homeimg));

          $settings_mobile = (!empty($mobile_background)) ? 'img/'.$mobile_background : null;
          DB::table('customization')->update([
            'mobile_background'=>$settings_mobile,
        ]);
        }

        $section_one_image ='';
        if ($request->hasFile('section_one_image') && !empty($request->file('section_one_image'))) {
          @unlink('img/section_one_image.png');
          $homeimg = $request->file('section_one_image');
          $section_one_image = 'section_one_image.png';
          // Image::make($request->file('home_background')->getRealPath())->save($home_background);
          Storage::disk('frontend')->put($section_one_image,  File::get($homeimg));

          $settings_section_one_image = (!empty($section_one_image)) ? 'img/'.$section_one_image : null;
          DB::table('customization')->update([
            'section_one_image'=>$settings_section_one_image,
        ]);
        }

        $section_two_image ='';
        if ($request->hasFile('section_two_image') && !empty($request->file('section_two_image'))) {
          @unlink('img/section_two_image.png');
          $homeimg = $request->file('section_two_image');
          $section_two_image = 'section_two_image.png';
          // Image::make($request->file('home_background')->getRealPath())->save($home_background);
          Storage::disk('frontend')->put($section_two_image,  File::get($homeimg));

          $settings_section_two_image = (!empty($section_two_image)) ? 'img/'.$section_two_image : null;
          DB::table('customization')->update([
            'section_two_image'=>$settings_section_two_image,
        ]);
        }
            return response()->json([
                'success' => true,
                'data' => 'OK'
            ], 200);
    }
    /**
     * Update settings
     *
     * @param   SettingsRequest  $request  request data
     *
     * @return  JSON                       settings update data with status and message
     */
    public function update(SettingsRequest $request) {
        $settingsUpdate = Setting::first();
        $request->settings = json_decode($request->settings);

        if (empty($settingsUpdate)) {
            try {
                DB::beginTransaction();

                $settings = new Setting();
                $settings->store_lat = $request->settings->store_lat;
                $settings->store_long = $request->settings->store_long;
                $settings->store_distance = $request->settings->store_distance;
                $settings->country = $request->settings->country;
                $settings->min_order_amount = number_format($request->settings->min_order_amount, 2);
                $settings->open_time = gmdate('H:i:s', strtotime($request->settings->open_time));
                $settings->close_time = gmdate('H:i:s', strtotime($request->settings->close_time));
                $settings->deactive_dates = $request->settings->deactive_dates;
                $settings->store_status = $request->settings->store_status ? "1" : "0";

                $home_background ='';
                if ($request->hasFile('home_background') && !empty($request->file('home_background'))) {
                  @unlink('img/home_background.png');
                  $homeimg = $request->file('home_background');
                  $home_background = 'home_background.png';
                  // Image::make($request->file('home_background')->getRealPath())->save($home_background);
                  Storage::disk('frontend')->put($home_background,  File::get($homeimg));

                  $settings->home_background = (!empty($home_background)) ? 'img/'.$home_background : null;
                }
                $mobile_background ='';
                if ($request->hasFile('mobile_background') && !empty($request->file('mobile_background'))) {
                  @unlink('img/mobile_background.png');
                  $mobimg = $request->file('mobile_background');
                  $mobile_background = 'mobile_background.png';
                  /*Image::make($request->file('mobile_background')->getRealPath())->save($mobile_background);*/
                  Storage::disk('frontend')->put($mobile_background,  File::get($mobimg));

                  $settings->mobile_background = (!empty($mobile_background)) ? 'img/'.$mobile_background : null;
                }

                if ($settings->save()) {
                    DB::commit();

                    return response()->json([
                        'success' => true,
                        'data' => $settings
                    ], 200);
                } else {
                    DB::rollback();

                    return response()->json([
                        'success' => false,
                        'message' => 'Error creating settings.'
                    ], 500);
                }
            } catch(QueryException $qe) {
                DB::rollback();

                return response()->json([
                    'success' => false,
                    'message' => $qe->getMessage()
                ], 500);
            } catch(\Exception $e) {
                DB::rollback();

                return response()->json([
                    'success' => false,
                    'message' => $e->getMessage()
                ], 500);
            }
        } else {
            try {
                DB::beginTransaction();

                $settingsUpdate->store_lat = $request->settings->store_lat;
                $settingsUpdate->store_long = $request->settings->store_long;
                $settingsUpdate->store_distance = $request->settings->store_distance;
                $settingsUpdate->country = $request->settings->country;
                $settingsUpdate->min_order_amount = number_format($request->settings->min_order_amount, 2);
                $settingsUpdate->open_time = gmdate('H:i:s', strtotime($request->settings->open_time));
                $settingsUpdate->close_time = gmdate('H:i:s', strtotime($request->settings->close_time));
                $settingsUpdate->deactive_dates = $request->settings->deactive_dates;
                $settingsUpdate->store_status = $request->settings->store_status ? "1" : "0";

                $home_background ='';
                if ($request->hasFile('home_background') && !empty($request->file('home_background'))) {

                  @unlink('img/home_background.png');
                  $homeimg = $request->file('home_background');
                  $home_background = 'home_background.png';
                 // Image::make($request->file('home_background')->getRealPath())->save($home_background);
                  Storage::disk('frontend')->put($home_background,  File::get($homeimg));
                  $settingsUpdate->home_background = (!empty($home_background)) ? 'img/'.$home_background : null;
                }

              $mobile_background ='';
              if ($request->hasFile('mobile_background') && !empty($request->file('mobile_background'))) {

                @unlink('img/mobile_background.png');
                $mobimg = $request->file('mobile_background');
                $mobile_background = 'mobile_background.png';
                /*Image::make($request->file('mobile_background')->getRealPath())->save($mobile_background);*/
                Storage::disk('frontend')->put($mobile_background,  File::get($mobimg));
                $settingsUpdate->mobile_background = (!empty($mobile_background)) ? 'img/'.$mobile_background : null;
              }




                if ($settingsUpdate->update()) {
                    DB::commit();

                    return response()->json([
                        'success' => true,
                        'data' => $settingsUpdate
                    ], 200);
                } else {
                    DB::rollback();

                    return response()->json([
                        'success' => false,
                        'message' => 'Error updating settings.'
                    ], 500);
                }
            } catch(QueryException $qe) {
                DB::rollback();

                return response()->json([
                    'success' => false,
                    'message' => $qe->getMessage()
                ], 500);
            } catch(\Exception $e) {
                DB::rollback();

                return response()->json([
                    'success' => false,
                    'message' => $e->getMessage()
                ], 500);
            }
        }
    }
}
