<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\ProductCategory;
use Jenssegers\Agent\Agent;

class HomeController extends Controller
{
    public function index(){
      $data = get_parent_categories();
      $data['boxes'] = get_home_boxes();
      $agent = new Agent();
      $data['agent'] = $agent;
      return view('client.index.home', $data);
    }
    public function locationIndex(){
      $data = get_parent_categories();
      $agent = new Agent();
      $data['agent'] = $agent;
      return view('client.index.location', $data);
    }

    public function boxesIndex(){
      $boxes = ProductCategory::where('side_menu_type', '2')
                ->leftJoin('products as prd' , 'prd.category_id' , '=' , 'product_categories.id')
                ->select('product_categories.name as category_name', 'prd.*')
                ->get();
      $prev_id = 0;
      $box_ids = array();
      foreach ($boxes as $key => $box) {
        $box_detail = array();
        $box_detail['id'] = $box->category_id;
        $box_detail['name'] = $box->category_name;
          array_push($box_ids , $box_detail);
          $boxes[$key]->items_inside = json_decode($box->items_inside);
      }
      $unique_ids = array_unique($box_ids, SORT_REGULAR);
      return view('client.boxes.index_boxes', ['products' => $boxes, 'categories' => $unique_ids]);
    }

    public function loyaltyIndex(){
      return view('client.loyalty.index_loyalty');
    }
}
