<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Srmklive\PayPal\Facades\PayPal;
use Srmklive\PayPal\Services\ExpressCheckout;
use App\Models\Order;
use Illuminate\Support\Facades\DB;
class PaymentController extends Controller
{
  protected $client;
  public function __construct(){
    $this->client = new Api\ClientsController();
  }
    function paypal_payment(Request $request){

      $provider = new ExpressCheckout;
      $provider = PayPal::setProvider('express_checkout');

      $order_id = $request->input('invoice');
      $cart = json_decode($request->input('cart'));
      $newcart = [];
      foreach ($cart as $item){
        $newcart[] = (array)$item;
      }
      $total = 0;
      foreach($newcart as $item) {
        $total += $item['price']*number_format($item['qty']);
      }
      $extra_charges = round($total*1.0325);
      $extra_charges = $extra_charges-$total;
      $newcart[] = [
          'name' => 'Additional Charges',
          'price' => $extra_charges,
          'qty' => 1
      ];
      $data = [];
      $data['items'] = $newcart;
      $data['invoice_id'] = $order_id;
      $data['invoice_description'] = "Order # ".$order_id;
      $data['return_url'] = url('/update_payment_status');
      $data['cancel_url'] = url('/payment_cancelled');

      $total = 0;
      foreach($newcart as $item) {
        $total += $item['price']*$item['qty'];
      }
      $data['total'] = $total;
      $options = [
          'BRANDNAME' => 'MySushi',
          'CHANNELTYPE' => 'Merchant'
      ];
      $response = $provider->addOptions($options)->setExpressCheckout($data , true);

//return $response;
      // This will redirect user to PayPal
      if(isset($response['paypal_link'])){
        if(!is_null($response['paypal_link'])){
          return redirect($response['paypal_link']);
        }
      }else{
        return redirect('done/failed?clearToken=false');
      }
    }

  public function update_payment(Request $request){
      $order_id = $request->input('order_id');
      $token = $request->input('token');

      $provider = new ExpressCheckout;
      $provider = PayPal::setProvider('express_checkout');
      $response = $provider->getExpressCheckoutDetails($token);


      $data = [];
      $data['items'] = [];
      $data['invoice_id'] = $response['INVNUM'];
      $data['invoice_description'] = "Order # ".$response['INVNUM'];
      $data['return_url'] = url('/update_payment_status');
      $data['cancel_url'] = url('/payment_cancelled');
      $data['total'] = $response['AMT'];

      //dd($data);
      $response1 = $provider->doExpressCheckoutPayment($data, $response['TOKEN'], $response['PAYERID']);

      if($response['ACK'] == 'Success'){

        $payer_info = [
            "payment_method" => "paypal",
             "status" => $response['PAYERSTATUS'],
             "payer_info" => [
                "email"       =>  $response['EMAIL'],
                "first_name"  =>  $response['FIRSTNAME'],
                "last_name"   =>  $response['LASTNAME'],
                "payer_id"    =>  $response['PAYERID'],
                "country_code"=>  $response['COUNTRYCODE'],
             ]
            ];
        $transaction = [
            "amount" => [
                "total"     => $response['AMT'],
                "currency"  => $response['CURRENCYCODE'] ,
                "details"   =>[
                  "subtotal"          =>  $response['ITEMAMT'],
                  "shipping"          =>  $response['SHIPPINGAMT'],
                  "handling_fee"      =>  $response['HANDLINGAMT'],
                  "insurance"         =>  $response['INSURANCEAMT'],
                  "shipping_discount" =>  $response['SHIPDISCAMT']
             ],
              "related_resources" => [
                  "callback" => $response
              ]
            ]
          ];
        Order::find($response['INVNUM'])->update(['is_paid' => '1']);
        $paypal = new \App\Models\Paypal;
        $paypal->order_id = $response['INVNUM'];
        $paypal->cart = $response['CORRELATIONID'];
        $paypal->create_time = $response['TIMESTAMP'];
        $paypal->paypal_id = $response['TOKEN'];
        $paypal->intent = 'sale';
        $paypal->payer = json_encode($payer_info);
        $paypal->state = $response['ADDRESSSTATUS'];
        $paypal->transactions = json_encode($transaction);
        $paypal->save();
        $this->client->PaypalPaymentLogs(json_encode($response1) , $response['INVNUM'] , 1 , 'payment_completed' , 'paypal');
      }

      return redirect('done/success?clearToken=true');
  }

  public function payment_cancelled(Request $request){
    $token = $request->input('token');

    $provider = new ExpressCheckout;
    $provider = PayPal::setProvider('express_checkout');
    $response = $provider->getExpressCheckoutDetails($token);
    Order::find($response['INVNUM'])->update(['payment_status' => 'cancelled']);
    $this->client->PaypalPaymentLogs(json_encode($response) , $response['INVNUM'] , 1 , 'payment_cancelled' , 'paypal');
    //return $response;
    return redirect('done/failed?clearToken=false&invoice='.$response['INVNUM']);
  }
}



