<?php

namespace App\Http\Resources;

use Illuminate\Http\Resources\Json\JsonResource;

class IngredientResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array
     */
    public function toArray($request)
    {
        // return parent::toArray($request);
        return [
            'id'                    => $this->id,
            'name'                  => $this->name,
            'price'                 => number_format($this->price, 2, '.', ','),
            'stock'                 => $this->stock,
            'desktop_pic'           => $this->desktop_pic,
            'mobile_pic'            => $this->mobile_pic,
            'product_id'            => $this->product_id,
            'status'                => $this->status,
            'ingredients_category'  => $this->ingredients_category,
            'product'               => $this->product,
        ];
    }
}
