<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Carbon\Carbon;

class Order extends Model
{
    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'total_amount', 'delivaery_charge', 'paid_amount', 'payment_type', 'payment_status', 'notes', 'client_id', 'customer_id', 'date_receive','is_paid'
    ];

    public function orderItems()
    {
        return $this->hasMany('App\Models\OrderItem', 'order_id');
    }

    public function orderClient()
    {
        return $this->belongsTo('App\User', 'client_id');
    }

    public function scopeRecentFiveMonths($query)
    {
        return $query->where('created_at', '>', (new Carbon)->submonths(5));
    }
}
