<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\DB;

class Product extends Model
{
    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'name','items_inside', 'ingredients', 'price', 'stock', 'desktop_pic', 'mobile_pic', 'category_id', 'side_menu_type', 'allergies', 'is_in_box',
    ];

    public function category()
    {
        return $this->belongsTo('App\Models\ProductCategory', 'category_id');
    }
    public function ingredients(){
        return $this->hasMany('App\Ingredient', 'product_id');
    }
    public function ingredientsProducts(){
        return $this->hasMany('App\IngredientProduct', 'product_id');
    }
    public function orderItems()
    {
        return $this->hasMany('App\Models\OrderItem', 'product_item_id');
    }

    public function promoItem()
    {
        return $this->hasOne('App\Models\PromoItem', 'item_id');
    }
}
