<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateProductsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('products', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->string('name')->nullable()->default(null);            
            $table->string('box_name')->nullable()->default(null);
            $table->text('description')->nullable()->default(null);
            $table->text('items_inside')->nullable()->default(null);         
            $table->text('ingredients')->nullable()->default(null);
            $table->float('price', 8, 2)->default('0.00');
            $table->float('sales_price', 8, 2)->default('0.00');
            $table->bigInteger('stock')->nullable()->default('0');
            $table->text('desktop_pic')->nullable()->default(null);
            $table->text('mobile_pic')->nullable()->default(null);
            $table->text('allergies')->nullable()->default(null);
            $table->bigInteger('category_id')->default('0');
            $table->bigInteger('pieces')->default('0');
            $table->integer('qty')->nullable()->default('0');
            $table->integer('is_in_box')->nullable()->default('0');
            $table->integer('limitqty')->nullable()->default('-1');
            $table->timestamps();
        });
    }
    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('products');
    }
}
