require('./bootstrap');
require('./../../public/js/bootstrap');
require('./../../public/js/bootstrap.bundle');
require('./../../public/login-reg/js/main');

import Vue from 'vue';
import VueRouter from 'vue-router';
import Vuex from 'vuex';
import {
    router
} from './routes.js';
import {
    store
} from './store.js';
import VueSweetalert2 from 'vue-sweetalert2';
import 'sweetalert2/dist/sweetalert2.min.css';
import VueToastr from 'vue-toastr';
import VueBootstrapDatetimePicker from 'vue-bootstrap-datetimepicker';
import 'pc-bootstrap4-datetimepicker/build/css/bootstrap-datetimepicker.css';
import VueMultiSelect from 'vue-multiselect';
import 'vue-multiselect/dist/vue-multiselect.min.css';
import VueMoment from 'vue-moment';
import moment from 'moment';
import VueChartist from 'vue-chartist';
import VueFlatPickr from 'vue-flatpickr-component';
import 'flatpickr/dist/flatpickr.css';

import App from './App.vue';
import Admin from './layouts/Admin.vue';
import Client from './layouts/Client.vue';
import BootstrapVue from 'bootstrap-vue';
import 'bootstrap/dist/css/bootstrap.css';
import 'bootstrap-vue/dist/bootstrap-vue.css';
import {
    ModalPlugin
} from 'bootstrap-vue';
import {
    BModal,
    VBModal
} from 'bootstrap-vue';


document.onreadystatechange = () => {
    if (document.readyState === 'complete') {
        Vue.component('sidebar-layout', Admin);
        Vue.component('normal-layout', Client);
        Vue.component('multiselect', VueMultiSelect);
        Vue.component('date-picker', VueBootstrapDatetimePicker);
        Vue.component('b-modal', BModal);


        Vue.directive('b-modal', VBModal);
        // Using font-awesome 5 icons
        $.extend(true, jQuery.fn.datetimepicker.defaults, {
            icons: {
                time: 'far fa-clock',
                date: 'far fa-calendar',
                up: 'fas fa-arrow-up',
                down: 'fas fa-arrow-down',
                previous: 'fas fa-chevron-left',
                next: 'fas fa-chevron-right',
                today: 'fas fa-calendar-check',
                clear: 'far fa-trash-alt',
                close: 'far fa-times-circle',
                customization: 'far fa-times-circle'
            }
        });

        Vue.use(VueRouter);
        Vue.use(Vuex);
        Vue.use(VueSweetalert2);
        Vue.use(VueToastr);
        Vue.use(VueMoment);
        Vue.use(moment);
        Vue.use(ModalPlugin);
        Vue.use(VueChartist);
        Vue.use(VueFlatPickr);

        Vue.config.ignoredElements = [/test-\w*/];

        const app = new Vue({
            el: '#app',
            router,
            store,
            components: {
                App
            },
            refreshData: {
                enabled: false
            }
        });
    }
};
