import Router from 'vue-router';

export const router = new Router({
    linkActiveClass: "active-menu",
    linkExactActiveClass: "active-menu",
    mode: "history",
    routes: [{
            path: "/admin/public/admin",
            name: "admin.dashboard",
            component: require("./admin/Dashboard.vue").default,
            meta: {
                auth: true
            }
        },
        {
            path: "/admin/public/order",
            name: "admin.order",
            component: require("./admin/Order.vue").default,
            meta: {
                auth: true
            }
        },
        {
            path: "/admin/public/clients",
            name: "admin.clients",
            component: require("./admin/Clients.vue").default,
            meta: {
                auth: true
            }
        },
        {
            path: "/admin/public/product",
            name: "admin.product",
            component: require("./admin/Product.vue").default,
            meta: {
                auth: true
            }
        },
        {
            path: "/admin/public/location",
            name: "admin.location",
            component: require("./admin/Location.vue").default,
            meta: {
                auth: true
            }
        },
        {
            path: "/admin/public/sort_categories",
            name: "admin.sortableCategories",
            component: require("./admin/sortableCategories.vue").default,
            meta: {
                auth: true
            }
        },
        {
            path: "/admin/public/loyalty_program",
            name: "admin.loyaltyProgram",
            component: require("./admin/LoyaltyProgram.vue").default,
            meta: {
                auth: true
            }
        },
        {
            path: "/admin/public/promo",
            name: "admin.promo",
            component: require("./admin/Promo.vue").default,
            meta: {
                auth: true
            }
        },
        {
            path: "/admin/public/settings",
            name: "admin.settings",
            component: require("./admin/Settings.vue").default,
            meta: {
                auth: true
            }
        },
        {
            path: "/admin/public/customization",
            name: "admin.customization",
            component: require("./admin/Customization.vue").default,
            meta: {
                auth: true
            }
        },
        {
            path: "/admin/public/auth",
            name: "admin.auth",
            component: require("./admin/Login.vue").default,
            meta: {
                layout: 'normal',
                auth: false
            }
        },
        {
            path: "/admin/public/register",
            name: "admin.register",
            component: require("./admin/Register.vue").default,
            meta: {
                layout: 'normal',
                auth: false
            }
        },
        /*{
            path: "/",
            name: "index",
            component: require("./client/index/Index.vue").default,
            meta: {
                layout: 'normal',
                auth: false
            }
        },
        {
            path: "/menu",
            name: "menu",
            component: require("./client/menu/IndexMenu.vue").default,
            meta: {
                layout: 'normal',
                auth: false
            }
        },
        {
            path: "/menu/:id",
            name: "menu.id",
            component: require("./client/menu/IndexMenu.vue").default,
            meta: {
                layout: 'normal',
                auth: false
            }
        },
        {
            path: "/cart",
            name: "cart",
            component: require("./client/cart/IndexCart.vue").default,
            meta: {
                layout: 'normal',
                auth: false
            }
        },
        {
            path: "/cart/:id",
            name: "cart.id",
            component: require("./client/cart/IndexCart.vue").default,
            meta: {
                layout: 'normal',
                auth: false
            }
        },
        {
            path: "/done/:msg",
            name: "done",
            component: require("./client/ordermsg/index.vue").default,
            meta: {
                layout: 'normal',
                auth: false
            }
        },
        {
            path: "/account",
            name: "account",
            component: require("./client/account/account.vue").default,
            meta: {
                layout: 'normal',
                auth: false
            }
        },
        {
            path: "/terms",
            name: "terms",
            component: require("./client/index/terms.vue").default,
            meta: {
                layout: 'normal',
                auth: false
            }
        },
        {
            path: "/privacy_policy",
            name: "privacy_policy",
            component: require("./client/index/privacy_policy.vue").default,
            meta: {
                layout: 'normal',
                auth: false
            }
        },
        {
            path: "/confirm/:id/:email",
            name: "confirm",
            component: require("./email/email_success_confirm.vue").default,
            meta: {
                layout: 'normal',
                auth: false
            }
        },
        {
            path: "/login",
            name: "login",
            component: require("./auth/login.vue").default,
            meta: {
                layout: 'normal',
                auth: false
            }
        },
        {
            path: "*",
            name: "404",
            meta: {
                guest: true
            },
            redirect: '/index'
        },*//*{
            path: "/",
            name: "index",
            component: require("./client/index/Index.vue").default,
            meta: {
                layout: 'normal',
                auth: false
            }
        },
        {
            path: "/menu",
            name: "menu",
            component: require("./client/menu/IndexMenu.vue").default,
            meta: {
                layout: 'normal',
                auth: false
            }
        },
        {
            path: "/menu/:id",
            name: "menu.id",
            component: require("./client/menu/IndexMenu.vue").default,
            meta: {
                layout: 'normal',
                auth: false
            }
        },
        {
            path: "/cart",
            name: "cart",
            component: require("./client/cart/IndexCart.vue").default,
            meta: {
                layout: 'normal',
                auth: false
            }
        },
        {
            path: "/cart/:id",
            name: "cart.id",
            component: require("./client/cart/IndexCart.vue").default,
            meta: {
                layout: 'normal',
                auth: false
            }
        },
        {
            path: "/done/:msg",
            name: "done",
            component: require("./client/ordermsg/index.vue").default,
            meta: {
                layout: 'normal',
                auth: false
            }
        },
        {
            path: "/account",
            name: "account",
            component: require("./client/account/account.vue").default,
            meta: {
                layout: 'normal',
                auth: false
            }
        },
        {
            path: "/terms",
            name: "terms",
            component: require("./client/index/terms.vue").default,
            meta: {
                layout: 'normal',
                auth: false
            }
        },
        {
            path: "/privacy_policy",
            name: "privacy_policy",
            component: require("./client/index/privacy_policy.vue").default,
            meta: {
                layout: 'normal',
                auth: false
            }
        },
        {
            path: "/confirm/:id/:email",
            name: "confirm",
            component: require("./email/email_success_confirm.vue").default,
            meta: {
                layout: 'normal',
                auth: false
            }
        },
        {
            path: "/login",
            name: "login",
            component: require("./auth/login.vue").default,
            meta: {
                layout: 'normal',
                auth: false
            }
        },*/
        {
            path: "*",
            name: "404",
            meta: {
                guest: true
            },
            redirect: '/index'
        }   ,
    ]
});

router.beforeEach((to, from, next) => {
    if (to.matched.some(record => record.meta.guest)) {
        next()
    } else if (to.matched.some(record => record.meta.auth)) {
        if (localStorage.getItem('mysushi.token') == null || localStorage.getItem('mysushi.token') == 'undefined') {
            next({
                name: "index"
            })
            next()
        } else {
            next()
        }
    } else {
        next()
    }
});
