<div class="col-lg-6">
    <div class="d-flex align-items-center user-info">
    <div class="user-profile-photo">
        <img class="user-pict" src="{{ Auth::user()->profile_pic }}" alt="">
        </div>
        <div class="profile-maininfo">
            <div class="user-name user-info-size-20"><span class="first-name">{{ Auth::user()->first_name }}</span>
                <span class="last-name">{{ Auth::user()->last_name }}</span></div>
            <div class="user-add user-info-size-20 city-country">
                {{ Auth::user()->city }}, {{ Auth::user()->country }}</div>
            <div class="user-bday user-info-size-20"></div>
            <div class="div-edit-profile-icon">
                <span class="icon-edit-profile" data-toggle="modal" data-target="#exampleModal">
                    <i class="fa fa-pen"></i>
                </span>
            </div>
        </div>
    </div>
    <div class="user-info">
        <div class="flex_row mb-3">
            <div class="info-title">Address:</div>
            <div class="user-address">
                {{ Auth::user()->address }}
            </div>
        </div>
        <div class="flex_row mb-3">
            <div class="info-title">Mobile Number:</div>
            <div class="user-phone">{{ Auth::user()->phone }}</div>
        </div>
        <div class="flex_row mb-3">
            <div class="info-title">Email:</div>
            <div class="user-email">{{ Auth::user()->email }}</div>
        </div>
    </div>
    <div>

        <!-- Modal -->
        <div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel"
            aria-hidden="true">
            <div class="modal-dialog" role="document">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="exampleModalLabel">Edit My Account</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <div class="row">
                            <div class="col-md-12">
                                <form id="profile_form" type="post">
                                    @csrf
                                    <input type="hidden" name="id" value="{{ Auth::user()->id }}">
                                    <div class="form-group">
                                        <input id="input_file" name="profile_pic" type="file" class="form-control" style="display: none;">
                                        <div id="file_attached" class="text-center ">Change Picture</div>
                                    </div>
                                    <div class="form-group"><label for="first_name">First Name</label>
                                        <input type="text" class="form-control" value="{{ Auth::user()->first_name }}"
                                               name="first_name">
                                    </div>
                                    <div class="form-group"><label for="last_name">Last Name</label>
                                        <input type="text" class="form-control" value="{{ Auth::user()->last_name }}"
                                               name="last_name">
                                    </div>
                                    <div class="form-group"><label for="email">Email</label>
                                        <input type="text" class="form-control" value="{{ Auth::user()->email }}"
                                               name="email">
                                    </div>
                                    <div class="form-group"><label for="phone">Phone</label>
                                        <input type="text" class="form-control" value="{{ Auth::user()->phone }}"
                                               name="phone">
                                    </div>
                                    <div class="form-group"><label for="address">Address</label>
                                        <input type="text" class="form-control" value="{{ Auth::user()->address }}"
                                               name="address">
                                    </div>
                                    <div class="form-group"><label for="city">City</label>
                                        <input type="text" class="form-control" value="{{ Auth::user()->city }}"
                                               name="city">
                                    </div>
                                    <div class="form-group"><label for="country">Country</label>
                                        <input type="text" class="form-control" value="{{ Auth::user()->country }}"
                                               name="country">
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                        <button type="submit" form="profile_form" class="btn btn-primary">Save changes</button>
                    </div>
                </div>
            </div>
        </div>

    </div>

</div>
@push('js')
<script>
    jQuery(document).ready(function(){
     $('#file_attached').on('click', function(){
         $('#input_file').trigger('click');
     });

        $('#profile_form').on('submit', function (e) {

          e.preventDefault();

          $.ajax({
            type: 'post',
            url: localStorage.getItem('BASE_URL')+'/api/v1/clients/updateClientAccount',
            data: $('#profile_form').serialize(),
            success: function (result) {
              if(result['code'] == '200'){
                toastMessage('Profile Updated Successfully!');
                $('#exampleModal').modal('toggle');
                $('.first-name').html(result['user']['first_name']);
                $('.last-name').html(result['user']['last_name']);
                $('.city-country').html(result['user']['city']+' '+result['user']['country']);
                $('.user-address').html(result['user']['address']);
                $('.user-phone').html(result['user']['phone']);
                $('.user-email').html(result['user']['email']);
              }else{
                console.log('Error Occured');
              }

            },
            error: function(){
              console.log('Error Occured');
            }
          });

        });

 });
</script>
@endpush
@push('css')
<style>
    .modal-body {
        padding: 20px;
    }

    form {
        color: black !important;
    }

    label {
        color: black;
        font-weight: 600;
    }

    #file_attached {
        color: black;
        font-weight: 700;
        cursor: pointer;
    }

    .icon-edit-profile {
        border: 1px solid gray;
        padding: 8px;
        border-radius: 5px;
        margin-left: 50px;
        position: absolute;
    }

    .div-edit-profile-icon {
        margin-top: 20px;
    }

    .icon-edit-profile:hover {
        background: black !important;
    }

    .table-form input {
        background: none !important;
        color: black;
    }

    .table-form input:active {
        background: none !important;
        color: black;
    }

    .table-form td {
        padding: 5px;
        color: black;
        font-family: arial
    }

    .change-profile-pic {
        color: black;
        font-size: 15px;
        font-weight: bold
    }

    .change-profile-pic:hover {
        color: blue;
        cursor: pointer;
    }

    .modal-title {
        color: black
    }

    .modal-footer {
        background: none !important;
    }

    .upload-con {
        display: none;
    }

    @media screen and (max-width: 480px) {
        .user-info {
            font-size: 15px !important;
        }

        .user-info-size-20 {
            font-size: 20px !important;
        }

    }
</style>

@endpush