@extends('client.layouts.master' , ['pageType' => 'menu'])
@section('content')
<div>
  <div class="cart-banner">
    <div class="widget_position">
      @include('client.index.address')
      <!-- end of delivery address input and button -->
    </div>
    <div class="menu-title"></div>
  </div>
  <div class="menu_bg"></div>
  <div class="menu-wrapper" style="z-index:10;">
    <img onclick="leftMenu()" class="left-menu" src="{{ asset('/img/left-menu.png') }}" alt="" />
    <img onclick="rightMenu()" class="right-menu" src="{{ asset('/img/right-menu.png') }}" alt="" />
  </div>
  <div class="menu-catergories">
    <h2 class="hide-div" style="color: #c7000b">MENU</h2>
    <div class="index_of_category">
      @foreach($categories as $category)
      @if($category->parent_id == 0)
      <div class="cataloc">
        <span class="main_nav_heading">{!! $category->name !!}</span>
        @foreach($categories as $subcategory)
        @if($subcategory->parent_id == $category->id)
        <div>
          <a class="inactive-menu" href="#cat_{{ $subcategory->id }}"><span
              class="sub_nav_heading">{{ $subcategory->name }}</span>
          </a>
        </div>
        @endif
        @endforeach
      </div>
      @endif
      @endforeach
    </div>
    <div class="active-menu"></div>
  </div>
  <div class="cart-container hide-menu-cart">
    <div class="check-out-btn" onclick="goToCart()">
      <span class="total-amount"></span>
      <span> | &nbsp;CHECKOUT</span>&nbsp;&nbsp;
      <i onclick="goToCart()" class="icon-right-arrow"></i>
    </div>
    <div class="checkout-items-container cart-section">
      <!-- start of item in row -->

      <!-- en of item in row -->
    </div>
    <div class="checkout-breakdown">
      <div class="flex_row">
        <div class="checkout-info">
          <h5>DELIVERY CHARGE</h5>
        </div>
        <div class="sub-total">FREE</div>
      </div>
      <div class="flex_row">
        <div class="checkout-info">
          <h5>TOTAL</h5>
        </div>
        <div class="sub-total total-amount"></div>
      </div>
    </div>
    <!-- temporary hide      -->
    <div class="check-out-btn submit_address" onclick="goToCart()">
      <span class="total-amount"></span>
      <span>| &nbsp;CHECKOUT</span>&nbsp;&nbsp;
      <i class="icon-right-arrow" onclick="goToCart()"></i>
    </div>
  </div>
  <!-- end of cart -->
  <div id="prdc-wrapper" class="prdc-wrapper mb-5">
    @foreach($categories as $category)
    @if($category->parent_id == 0)
    <div class="prdc-container">
      <span class="main_category">{!! $category->name !!}</span>
      @foreach($categories as $subcategory)
      @if($subcategory->parent_id == $category->id)
      <div id="item_list" style="width: 100%">
        <div class="category_gap"> </div>
        <div class="sub_category_wrap">
          <div class="sub_category_heading" id="cat_{{ $subcategory->id }}" data="{{ $subcategory }}">
            <span class="sub_category">{!! $subcategory->name !!}</span>
          </div>

          @foreach($products as $item)

          @if($item->category_id == $subcategory->id)
          <div class="item-container">
            @csrf
            <img style="cursor:pointer;" onclick="showPopup('{{ $item }}');"
              src="{{ $item->desktop_pic? asset('/img/products/'.@$item->desktop_pic):'' }}" alt="Image not found" />
            <div class="cart-dtlsCon">
              <div class="prd-name">{{ @$item->name }}</div>
              <p>{{ @$item->pieces }} PIECES</p>
              <div onclick="addToCart('{{ $item }}')" class="add-to-cart">
                ₱{{ @$item->price }} |
                <span>ADD TO CART</span>
              </div>
            </div>
          </div>
          @endif
          @endforeach
        </div>
      </div>
      @endif
      @endforeach
    </div>
    @endif
    @endforeach
  </div>
</div>
@include('client.menu.popup_menu')
{{--  <div v-if="isShowCategories" class="category-list" onclick="category">
     @include('client.index.menu_categories') 
  </div>--}}
@stop

@push('js')
<script type="text/javascript">
  jQuery(document).ready(function($) {

      $('footer').hide();
      $('.pop-up').hide(); 

      var index    = $('.index_of_category .cataloc').index();
      @php $menu_id=null; $menu_id = request('menu_id');  @endphp
      var getId    = "{!! isset($menu_id) ? $menu_id : 1 !!}";
      var fnalIndex= index + getId;
      var items    = $('.prdc-wrapper');
      var item     = items.children().eq(getId - 1);

      var sub_offset = 320;
      if(window.screen.width < 992){
        sub_offset = 200
      }

      @if(is_numeric($menu_id))
      $('html, body').animate({
        scrollTop: $(item).offset().top - sub_offset
      }, 100);
      @else
      window.scrollTo(0, 0);
    @endif
      var lastId,
      sidebarMenu      = $(".menu-catergories"),
      sidebarMenuHeight= sidebarMenu.outerHeight()+15,
      menuItems        = sidebarMenu.find("a"),
      getMenuIdFromUrl = '{{ request('menu_id') }}',

      scrollItems = menuItems.map(function(){
        var item = $($(this).attr("href"));
        
        if (item.length) { return item; }

      });

      menuItems.css('text-decoration', 'none');
      menuItems.find('a').first().addClass('active-menu');

      menuItems.click(function(e){
      var href = $(this).attr("href"),

          offsetTop = href === "#" ? 0 : $(href).offset().top-sidebarMenuHeight+1;

        $('html, body').stop().animate({ 
            scrollTop: offsetTop
        }, 100);

        e.preventDefault();

      });

     
      $(window).scroll(function(){
        
          var fromTop = $(this).scrollTop()+sidebarMenuHeight;

          var cur = scrollItems.map(function(){

            if ($(this).offset().top < fromTop+200)

             return this;

            });
         
          cur                    = cur[cur.length-1];
          var id                 = cur && cur.length ? cur[0].id : "";
          var right_category     = cur.attr('data');
          var right_category_json= $.parseJSON(right_category);

             menuItems
               .parent().removeClass("active-menu")
               .end().filter("[href='#"+id+"']").parent().addClass("active-menu");
            @if($agent->isMobile() && !$agent->isTablet())
               $('.cart-banner').css('background-image', 'url({{URL::to('/')}}/img/categories/' + right_category_json.mobile_header_pic + ')');
            @else
                $('.cart-banner').css('background-image', 'url({{URL::to('/')}}/img/categories/' + right_category_json.header_pic + ')');
            @endif
              $('.menu-title').text(right_category_json.name);

      });


      showCartItem();
      var quantity = 0;

  jQuery(document).on('click','.increaseItem', function(e){
      
      var newItem= true;
      var id     = $(this).data('id');
      var oldQty = $(this).data('qty');

      if(oldQty >= 0){

        var qty = parseFloat(oldQty) + 1;

      }

      var remove_style= oldQty == 1?'btn_visible':'btn_invisible';
      var minus_style = oldQty == 1?'btn_invisible':'btn_visible';
      var cart        = localStorage.getItem("items");
      var exCart      = cart ? JSON.parse(cart) : []; 
      var totalAmount = 0;
      exCart.forEach(function(cartItem){

        if(cartItem.id == id){

          cartItem.qty = qty;
            if(cartItem.qty == 1){
           cartItem.remove_style= 'btn_visible';
           cartItem.minus_style = 'btn_invisible';
          
        } else {
          
          cartItem.remove_style= 'btn_invisible';
          cartItem.minus_style = 'btn_visible';
        }
          newItem = false;
        }
        /*totalAmount += cartItem.price * cartItem.qty;*/
        if(cartItem.limitqty > 0 && cartItem.qty > cartItem.limitqty){
          totalAmount +=parseFloat((cartItem.price * (cartItem.qty-cartItem.limitqty)));
        }else if(cartItem.limitqty < 0){
          totalAmount +=parseFloat((cartItem.price * cartItem.qty));
        }else if(cartItem.limitqty === undefined){
          totalAmount +=parseFloat((cartItem.price * cartItem.qty));
        }
      });

     if(newItem){
        exCart.push({
          id           :id,
          qty          :qty,
           remove_style:remove_style,
          minus_style  :minus_style,
        });
      }

      localStorage.setItem("total_amount", JSON.stringify(totalAmount));
      localStorage.setItem("items", JSON.stringify(exCart));

      showCartItem();
      showTotalAmount();

    });

  jQuery(document).on('click','.decreaseItem', function(e){
      var newItem = true;
       
      var id = $(this).data('id');
      var oldQty = $(this).data('qty');
      
      if(oldQty > 0){

      var qty         = parseFloat(oldQty) - 1;
      var cart        = localStorage.getItem("items");
      var exCart      = cart ? JSON.parse(cart) : []; 

      var totalAmount = 0;
      var remove_style= oldQty == 1?'btn_visible':'btn_invisible';
      var minus_style = oldQty == 1?'btn_invisible':'btn_visible';

      exCart.forEach(function(cartItem){

        if(cartItem.id == id){
          cartItem.qty = qty;

          if(cartItem.qty == 1){

           cartItem.remove_style = 'btn_visible';
           cartItem.minus_style = 'btn_invisible'; 

          } else {

            cartItem.remove_style = 'btn_invisible';
            cartItem.minus_style = 'btn_visible';
          }
          newItem = false;
        }

        /*totalAmount += cartItem.price * cartItem.qty;*/
        if(cartItem.limitqty > 0 && cartItem.qty > cartItem.limitqty){
          totalAmount +=parseFloat((cartItem.price * (cartItem.qty-cartItem.limitqty)));
        }else if(cartItem.limitqty < 0){
          totalAmount +=parseFloat((cartItem.price * cartItem.qty));
        }else if(cartItem.limitqty === undefined){
          totalAmount +=parseFloat((cartItem.price * cartItem.qty));
        }
        
      });

       if(newItem){

         exCart.push({
          id          :id,
          qty         :qty,
          remove_style:remove_style,
          minus_style :minus_style,
        });

       }

      localStorage.setItem("total_amount", JSON.stringify(totalAmount));
      localStorage.setItem("items", JSON.stringify(exCart));
  }

      showCartItem();
      showTotalAmount();

  });

  jQuery(document).on('click','.removeItem', function(e){
      var id = $(this).data('id');
      
      var cart_id = parseFloat(id);
      var data    = localStorage.getItem('items');
      var jsonData= $.parseJSON(data);
      var index   = jsonData.findIndex(x => x.id === cart_id);

      /*jsonData.splice(index, 1);*/

      var totalAmount = 0;

      jsonData.forEach(function(cartItem){
        /*totalAmount += cartItem.price * cartItem.qty;*/
        if(cartItem.limitqty > 0 && cartItem.qty > cartItem.limitqty){
          totalAmount +=parseFloat((cartItem.price * (cartItem.qty-cartItem.limitqty)));
        }else if(cartItem.limitqty < 0){
          totalAmount +=parseFloat((cartItem.price * cartItem.qty));
        }else if(cartItem.limitqty === undefined){
          totalAmount +=parseFloat((cartItem.price * cartItem.qty));
        }
      });

      localStorage.setItem("total_amount", JSON.stringify(totalAmount));
      localStorage.setItem("items", JSON.stringify(jsonData));  

      showTotalAmount();
      showCartItem();
      toastMessage('You removed an item!');
  }); 

   showTotalAmount();

});


function showCartItem(){
  $('.cart-section').html("");
  var htmlItem = '';
  var data = localStorage.getItem("items");
  var getLocalData      = data ? JSON.parse(data) : [];

    getLocalData.forEach( function(product, index) {
      htmlItem +='<div class="checkout-item">'
      +'<img class="checkout-img" src="{{ env('MIX_API_DEV_URL') }}/img/products/'+product.desktop_pic+'" alt="Image Missing" />'
      +'<div class="checkout-info">'
        +'<h5>'+ product.name +' | '+ product.pieces +' PCS</h5>'
        +'<div class="flex-row-end">'
          +'<div class="price">₱ '+product.price+' </div>'
          +'<div class="qty-btns-wrapper">'
            +'<div class="qty-btns decreaseItem '+product.minus_style+'" data-id="'+product.id+'" data-qty="'+product.qty+'">-</div>'
            +'<div  class="removeItem  '+product.remove_style+' qty-btns" data-id="'+product.id+'" data-qty="'+product.qty+'">X</div>'
            +'<input class="qty-input" type="text" max="999" value="'+product.qty+'"/>'
            +'<div class="qty-btns increaseItem" data-id="'+product.id+'" data-qty="'+product.qty+'">+</div>'
          +'</div>'
        +'</div>'
      +'</div>'
    +'<div class="sub-total">₱'+parseFloat(product.qty * product.price).toFixed(2)+'</div>'
    +'</div>';
    });

    $('.cart-section').html(htmlItem);
  updateCartCount();

  };


    
  function addToCart(item) {

    var newItem    = true;
    var totalAmount= 0;
    var cartData   = $.parseJSON(item);
    
    var cart       = localStorage.getItem("items");
    var exCart     = cart ? JSON.parse(cart) : [];

     cartData.qty++;
     
     var qty         = cartData.qty;
     var price       = cartData.price;
     var pieces      = cartData.pieces;
     var remove_style= cartData.qty == 1?'btn_visible':'btn_invisible';
     var minus_style = cartData.qty == 1?'btn_invisible':'btn_visible';

    exCart.forEach(function(cartItem){


      if(cartItem.id == cartData.id){
        cartItem.qty  +=qty;
        cartItem.price =price ;
        cartItem.pieces =pieces ;
        if(cartItem.qty == 1){
           cartItem.remove_style = 'btn_visible';
           cartItem.minus_style = 'btn_invisible';

        } else {
          cartItem.remove_style = 'btn_invisible';
          cartItem.minus_style = 'btn_visible';
        }
        newItem = false;
      } 

      totalAmount +=parseFloat(cartItem.price * cartItem.qty)
   }); 

   if(newItem){

      exCart.push({
        id          :cartData.id,
        name        :cartData.name,
        desktop_pic :cartData.desktop_pic,
        qty         :qty,
        price       :price,
        pieces      :pieces,
        remove_style:remove_style,
        minus_style :minus_style,
      });
        totalAmount +=parseFloat(price * qty)
    }


    if(totalAmount == 0){
      totalAmount = price;
    }


    localStorage.setItem("total_amount", JSON.stringify(totalAmount));
    localStorage.setItem("items", JSON.stringify(exCart));

    showCartItem();
    showTotalAmount();
    closeMe();
    toastMessage('Item added in your cart!');

}

 function showTotalAmount(){

    var total = localStorage.getItem("total_amount");
    var total_amount = total == null?'0.00':total;

    $('.total-amount').text('₱'+total_amount);

  }
   
function showPopup(singleItem){
  $('.pop-up').show();

  var product = JSON.parse(singleItem);

  $('.id').val(product.id);
    $('.name').val(product.name);
    $('.desktop_pic').val(product.desktop_pic);
    $('.price').val(product.price);
    $('.pieces').val(product.pieces);

  var img = $('<img />', {
    src:'/img/products/'+product.desktop_pic,
    'class':'popup-img',
    'style': 'width: 200px;',
  });

  $('.active-item-image').html(img);
  $('.active-item-title').html(product.name);
  $('.popUp-priceDtls').html('<b>₱ '+product.price+'</b> | '+product.pieces+' PCS');



 ingredients(product);

  var html = 0;
    var alleryArr = product.allergies.split(',');

        alleryArr.forEach(function(allergies){
          html +='<div class="d-center-col " onclick="toggleAllergy(aller)" >' 
        +'<span><i class="icon-'+product.name+'" style="color:#bb4430"></i></span>'
        +'<span><i class="icon-Soja"></i></span>'
        +'<span class="popup-subtext">'+allergies+'</span>'
        +'</div>';
        
        });

        $('.allergense').html(html);

  }

  function ingredients(aller){
    var str = aller.ingredients;
    var array = str.split(',');

    var composHtml = '';

    var composHtml_1 = '';
    composHtml_1 +='<ul class="composition-dtls">';

    $.each(array, function(index, composition) {
      if(index < array.length / 2)
      composHtml_1 +='<li> '+ composition +'</li>';
    }); 

    composHtml_1 += '</ul>';

   

    var composHtml_2 = '';
    composHtml_2 +='<ul class="composition-dtls">';
    $.each(array, function(index, composition) {
      if(index > array.length / 2)

      composHtml_2 +='<li>'+ composition +'</li>';   
                 
    });  

    composHtml_2 += '</ul>';

    console.log(composHtml_2);

    composHtml += composHtml_1;
    composHtml += composHtml_2;

     $(".composition-list").html(composHtml);
  }

  function closeMe(){
  $('.pop-up').hide();
  }

  function goToCart(){
    if(validateAll(true)){
      window.location.href= localStorage.getItem('BASE_URL')+'/cart';
    }
  }



   
   
</script>
@endpush

@push('css')

<style>
  @media screen and (max-width: 2500px) {


    .active-menu {
      z-index: 3 !important;
    }

    .cart-banner {
      z-index: 1;
    }
  }

/*  .prdc-container{
      margin-left: 10% !important;
  }
*/
  .btn_visible {
    display: block;
  }

  .btn_invisible {
    display: none;
  }

  @media screen and (max-width:948px) {
      .index_of_category{
          display: none;
      }
  }
  @media screen and (max-width: 480px) {
    .active-menu {
      z-index: 3 !important;
    }

    .cart-banner {
      z-index: 0 !important;
    }
  }

  .inactive-menu {
    cursor: pointer;
  }

  .qty-btns {
    cursor: pointer;
  }

  .check-out-btn {
    cursor: pointer;
  }

  .widget_position .col-md-9,
  .widget_position .col-md-3 {
    margin: 0px;
    padding: 0px;
  }

  .del-popUp .datepicker-con,
  .del-popUp .time-picker-con {
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: white;
    color: #939393;
    height: 46px;
    width: 100%;
    margin: 0px;
    border-radius: 4px;
    cursor: pointer;
  }

  .del-popUp .datepicker-con .form-control,
  .del-popUp .time-picker-con .form-control {
    height: 46px;
    width: unset;
    background: transparent !important;
    border: none;
    cursor: pointer;
    color: #939393;
    font-size: 12px;
    text-align: center;
    padding: 0px;
    margin: 0px;
  }

  .del-popUp .icon-location {
    font-size: 20px;
    position: absolute;
    color: #bb4430;
    left: 5px;
    top: 10px;
  }

  .del-popUp .icon-close {
    font-size: 20px;
    position: absolute;
    color: #bb4430;
    right: 5px;
    top: 10px;
  }

  .del-popUp .submit_address {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    background-color: #bb4430;
    height: 46px;
    text-align: center;
    border-radius: 4px;
    cursor: pointer;
    margin: 0px;
  }


  /* .:hover, */
  .del-popUp .datepicker-con:hover,
  .del-popUp .datepicker-con:hover .form-control,
  .del-popUp .time-picker-con:hover,
  .del-popUp .time-picker-con:hover .form-control {
    background-color: white !important;
    color: black !important;
    cursor: pointer;
  }

  .menu-catergories {
    z-index: 0 !important;
  }

  .category-list {
    margin-top: 50px;
  }
</style>

@endpush