@extends('layouts.master')
@section('content')
    <section class="site-registeration">
        <div class="container">
            <div class="row">
                <div class="col-md-6">
                    <div class="site-registeration-left-section">
                        <div class="register-heading-text">
                            <h2>Hello There</h2>
                            <p>Login to your account.</p>
                        </div>
                        <form method="POST" action="{{ route('login') }}">
                            @csrf
                            <div class="login-forms">
                                <form>
                                    <div class="login-email">
                                        <input type="email" placeholder="Email @error('email') is-invalid @enderror" name="email" value="{{ old('email') }}" required autocomplete="email" autofocus>
                                        <i class="fas fa-user"></i>

                                        @error('email')
                                        <span class="invalid-feedback" role="alert">
                                            <strong>{{ $message }}</strong>
                                        </span>
                                        @enderror
                                    </div>
                                    <div class="login-password">
                                        <input type="password" placeholder="Password" class="form-control @error('password') is-invalid @enderror" name="password" required autocomplete="current-password">
                                        <i class="fas fa-lock-alt"></i>
                                        @error('password')
                                        <span class="invalid-feedback" role="alert">
                                            <strong>{{ $message }}</strong>
                                        </span>
                                        @enderror
                                    </div>
                                    @if (Route::has('password.request'))
                                        <span class="forgot-pass-error"><a href="{{ route('password.request') }}">Forgot Password</a></span>
                                    @endif
                                    <div class="login-submit">
                                        <input type="submit" value="SIGN IN" onclick="LoginSuccessfully()">
                                    </div>
                                    <div class="login-text">
                                        <span>or log in with</span>
                                    </div>
                                    <div class="login-socialicon">
                                        <a href="{{ url('auth/facebook') }}"><i class="fab fa-facebook"></i></a>
                                        <a href="{{ url('auth/google') }}"><i class="fab fa-google-plus"></i></a>
                                    </div>
                                </form>
                            </div>
                        </form>
                    </div>
                </div>

                @include('auth.register')
            </div>
        </div>
    </section>

@endsection

@section('modal')
    <div class="modal fade" id="ordernowid" tabindex="-1" role="dialog" aria-labelledby="ordernowidlabel" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">

                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <i class="fal fa-times-circle"></i>
                    </button>
                </div>
                <div class="modal-body">
                    <h5 class="modal-title" id="ordernowidlabel">Select your location</h5>
                    <select id="mySelect" data-show-content="true" class="form-control">
                        <option  disabled="" selected="">SELECT YOUR LOCATION</option>
                        <option data-content="<i class='fa fa-map-marker-alt'></i> Makati"></option>
                        <option data-content="<i class='fa fa-map-marker-alt'></i> Cutlery"></option>
                        <option data-content="<i class='fa fa-map-marker-alt'></i> Cutlery2"></option>

                    </select>
                    <div class="calendar-item">

                        <div class="datepickeritem">

                            <div class="ui calendar" id="example2">
                                <div class="ui input left icon">
                                    <i class="calendar icon"></i>
                                    <input type="text" placeholder="Date">
                                </div>
                            </div>
                        </div>
                        <div class="timepicker-item">
                            <div class="ui calendar" id="example3">
                                <div class="ui input left icon">
                                    <i class="time icon"></i>
                                    <input type="text" placeholder="Time">
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="ordernow-modalwind-btn">
                        <a href="#">ORDER FOR LATER</a>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="modal fade" id="addtocartbtn-popup" tabindex="-1" role="dialog" aria-labelledby="ordernowidlabel" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">

                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true"><i class="fal fa-times-circle"></i></span>
                    </button>
                </div>
                <div class="modal-body">
                    <div class="menu-content-inner-item-popup">
                        <div class="popup-img">
                            <img src="assets/img/dish.png">
                        </div>
                        <div class="modal-popup-text">
                            <div class="menu-text">
                                <h3>Chicken Pesto </h3>
                                <span>280 kcal</span>
                                <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut. </p>
                            </div>
                            <div class="menu-btns">
                                <a href="">₱350</a>
                                <a href=""><i class="fas fa-plus-circle"></i>ADD TO CART</a>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="modal fade" id="itemadded-popup" tabindex="-1" role="dialog" aria-labelledby="ordernowidlabel" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-body">
                    <div class="selected-item-popup">
                        <div class="popup-img">
                            <img src="assets/img/tick.png">
                        </div>
                        <div class="modal-added">
                            <h3>Successfully Added</h3>
                            <a href="" class="okay-btn">Okay</a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="modal fade" id="edit-address" tabindex="-1" role="dialog" aria-labelledby="ordernowidlabel" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">

                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true"><i class="fal fa-times-circle"></i></span>
                    </button>
                </div>
                <div class="modal-body">
                    <div class="edit-address-popup">
                        <div class="modal-editaddress">
                            <h3>Select your location</h3>
                            <input type="" name="" placeholder="TYPE YOUR ADDRESS">
                            <a href="" class="save-btn">Change Address</a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="modal fade" id="add-address-popup" tabindex="-1" role="dialog" aria-labelledby="ordernowidlabel" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">

                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true"><i class="fal fa-times-circle"></i></span>
                    </button>
                </div>
                <div class="modal-body">
                    <div class="edit-address-popup">
                        <div class="modal-editaddress">
                            <h3>Select your location</h3>
                            <input type="" name="" placeholder="TYPE YOUR ADDRESS">
                            <a href="" class="save-btn">ADD ADDRESS</a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection

@section('scripts')
    <script src="https://code.jquery.com/jquery-3.5.1.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    <script src="assets/js/tether.min.js"></script>
    <script src="assets/js/checkboxselect.js"></script>
    <script src="assets/js/owl.carousel.min.js"></script>
    <script src="assets/js/bootstrap-select.js"></script>
    <script src="assets/js/jquery-ui.min.js"></script>
    <script src="assets/js/jquery.timepicker.min.js"></script>
    <script src="assets/js/semantic.min.js"></script>
    <script src="assets/js/custom.js"></script>
    <script>
        var Days = [31,28,31,30,31,30,31,31,30,31,30,31];// index => month [0-11]
        $(document).ready(function(){
            var option = '<option value="day">Day</option>';
            var selectedDay="day";
            for (var i=1;i <= Days[0];i++){ //add option days
                option += '<option value="'+ i + '">' + i + '</option>';
            }
            $('#day').append(option);
            $('#day').val(selectedDay);

            var option = '<option value="month">Month</option>';
            var selectedMon ="month";
            for (var i=1;i <= 12;i++){
                option += '<option value="'+ i + '">' + i + '</option>';
            }
            $('#month').append(option);
            $('#month').val(selectedMon);

            var option = '<option value="month">month</option>';
            var selectedMon ="month";
            for (var i=1;i <= 12;i++){
                option += '<option value="'+ i + '">' + i + '</option>';
            }
            $('#month2').append(option);
            $('#month2').val(selectedMon);

            var d = new Date();
            var option = '<option value="year">Year</option>';
            selectedYear ="year";
            for (var i=1930;i <= d.getFullYear();i++){// years start i
                option += '<option value="'+ i + '">' + i + '</option>';
            }
            $('#year').append(option);
            $('#year').val(selectedYear);
        });
        function isLeapYear(year) {
            year = parseInt(year);
            if (year % 4 != 0) {
                return false;
            } else if (year % 400 == 0) {
                return true;
            } else if (year % 100 == 0) {
                return false;
            } else {
                return true;
            }
        }

        function change_year(select)
        {
            if( isLeapYear( $(select).val() ) )
            {
                Days[1] = 29;

            }
            else {
                Days[1] = 28;
            }
            if( $("#month").val() == 2)
            {
                var day = $('#day');
                var val = $(day).val();
                $(day).empty();
                var option = '<option value="day">day</option>';
                for (var i=1;i <= Days[1];i++){ //add option days
                    option += '<option value="'+ i + '">' + i + '</option>';
                }
                $(day).append(option);
                if( val > Days[ month ] )
                {
                    val = 1;
                }
                $(day).val(val);
            }
        }

        function change_month(select) {
            var day = $('#day');
            var val = $(day).val();
            $(day).empty();
            var option = '<option value="day">day</option>';
            var month = parseInt( $(select).val() ) - 1;
            for (var i=1;i <= Days[ month ];i++){ //add option days
                option += '<option value="'+ i + '">' + i + '</option>';
            }
            $(day).append(option);
            if( val > Days[ month ] )
            {
                val = 1;
            }
            $(day).val(val);
        }

    </script>
    <script>
        function LoginSuccessfully(){
            let timerInterval
                                Swal.fire({
                                    timer: 1500,
                                    background:'#68b0ab',
                                    imageUrl:'/assets/img/logo-footer.png',
                                    timerProgressBar: false,
                                    didOpen: () => {
                                        Swal.showLoading()
                                        timerInterval = setInterval(() => {
                                            const content = Swal.getContent()
                                            if (content) {
                                                const b = content.querySelector('b')
                                                if (b) {
                                                    b.textContent = Swal.getTimerLeft()
                                                }
                                            }
                                        }, 200)
                                    },
                                    willClose: () => {
                                        clearInterval(timerInterval)
                                    }
                                }).then((result) => {
                                    /* Read more about handling dismissals below */
                                    if (result.dismiss === Swal.DismissReason.timer) {
                                        console.log(response);
                                        console.log(id);
                                    }
                                });
        }
    </script>
@endsection
