@extends('layouts.master')
@section('nav')<nav class="navbar navbar-expand-lg navbar-light desktop-nav">@endsection
@section('styles')
    <link href="https://cdn.rawgit.com/mdehoog/Semantic-UI/6e6d051d47b598ebab05857545f242caf2b4b48c/dist/semantic.min.css" rel="stylesheet" type="text/css" />
    <style>
        .btn-a {
            background: #68B0AB;
            color: white;
            border-radius: 10px;
            margin-top: 21px;
            margin-left: 8px;
            margin-right: 8px;
            font-size: 18px;
            text-transform: uppercase;
            height: 60px;
            display: inline-block;
            line-height: 60px;
            width: 230px;
            font-weight: 500;
            border: none;
        }
    </style>
@endsection

@section('content')
<div class="bgparentclass">
    <div class="owl-slider background-carousel">
        <div id="carousel" class="owl-carousel">
            @if (!$customization->home_background_1==NULL)
            <div class="item">
                <img class="owl-lazy" data-src="{{ env('BACKEND_URL').$customization->home_background_1 }}">
            </div>
            @endif
            @if (!$customization->home_background_2==NULL)
            <div class="item">
                <img class="owl-lazy" data-src="{{ env('BACKEND_URL').$customization->home_background_2 }}">
            </div>
            @endif
            @if (!$customization->home_background_3==NULL)
            <div class="item">
                <img class="owl-lazy" data-src="{{ env('BACKEND_URL').$customization->home_background_3 }}">
            </div>
            @endif
            @if (!$customization->home_background_4==NULL)
            <div class="item">
                <img class="owl-lazy" data-src="{{ env('BACKEND_URL').$customization->home_background_4 }}">
            </div>
            @endif
        </div>
    </div>
    <div class="homemain-bg background-desktop-section">
        <div class="container">
            <div class="row">
                <div class="homemain-bg-inner">
                    <h2>{{ $customization->slider_title }}</h2>
                    <form action="{{ route('SaveLocation') }}" method="POST">
                        @csrf
                        <div class="select-loc">
                        <select name="location" onchange="val()" id="mySelect" data-show-content="true" class="form-control" required>
                            <option  disabled="" selected="">SELECT YOUR LOCATION</option>
                            @foreach($locations as $location)
                                <option value="{{$location->location_name}}" data-content="<i class='fa fa-map-marker-alt'></i> {{$location->location_name}}"></option>
                            @endforeach
                        </select>
                    </div>
                        <div class="orders-btn">
                            <button class="btn-a" value="orderNow" name="submit" type="submit">Order Now</button>
                            <a href="" data-toggle="modal" data-target="#ordernowid-desktop">ORDER FOR LATER</a>
                            <div class="modal fade" id="ordernowid-desktop" tabindex="-1" role="dialog" aria-labelledby="ordernowidlabel" aria-hidden="true">
                                <div class="modal-dialog" role="document">
                                    <div class="modal-content">
                                        <div class="modal-header">

                                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                                <i class="fal fa-times-circle"></i>
                                            </button>
                                        </div>
                                        <div class="modal-body">
                                            <h5 class="modal-title" id="ordernowidlabel">SELECT TIME AND DATE</h5>
                                            <div class="calendar-item">

                                                <div class="datepickeritem">

                                                    <div class="ui calendar" id="desktop-example2">
                                                        <div class="ui input left icon">
                                                            <i class="calendar icon"><img src="{{asset('assets/img/cal-icon.png')}}"></i>
                                                            <input type="text" placeholder="Date" name="del_date">
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="timepicker-item">
                                                    <!--                             <div class="form-group">
                                                                                  <div class="input-group time" id="timepicker">
                                                                                    <input class="form-control" placeholder="HH:MM AM/PM"/><span class="input-group-append input-group-addon"><span class="input-group-text"><i class="fa fa-clock"></i></span></span>
                                                                                  </div>
                                                                                </div> -->
                                                    <div class="mytimepick-parent">
                                                        <input id="timepicker1" type="text" name="timepicker1" placeholder="Select Time"/>
                                                        <i class="fa fa-clock"></i>
                                                    </div>
                                                </div>
                                            </div>

                                            <div class="orderlatter-modalwind-btn">
                                                <button type="submit" name="orderLater" value="orderLater" style="background: white;
                                                                                                color: #68B0B1;
                                                                                                border-radius: 10px;
                                                                                                margin-top: 21px;
                                                                                                margin-left: 8px;
                                                                                                margin-right: 8px;
                                                                                                font-size: 18px;
                                                                                                text-transform: uppercase;
                                                                                                height: 60px;
                                                                                                display: inline-block;
                                                                                                line-height: 60px;
                                                                                                width: 230px;
                                                                                                border: none;
                                                                                                font-weight: 500;">
                                                    ORDER FOR LATER
                                                </button>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>

                        </div>

                    </form>
                </div>
            </div>
        </div>
    </div>
</div>

<section class="mobile-bg-section" style="background: url({{ env('BACKEND_URL').$customization->mobile_background }});">
    <div class="container">
        <div class="row">

            <div class="mobile-homemain-bg-inner-heading">
            <h1>
                @foreach (explode(" ", $customization->slider_title) as $title)
                {{ $title }} <br>
                @endforeach
            </h1>
            </div>
            <div class="mobile-homebg-btns">
                <a href="" data-toggle="modal" data-target="#ordernowid2"><span>ORDER NOW</span><i class="fas fa-chevron-circle-right"></i></a>
                <a href="" data-toggle="modal" data-target="#ordernowid"><span>ORDER FOR LATER</span><i class="fas fa-chevron-circle-right"></i></a>
            </div>

        </div>
    </div>
    </div>
</section>
</section>
<section class="howtoorder">
    <div class="container">
        <div class="row">
            <div class="heading-text">
                <h1>How to order</h1>
            </div>
            <div class="order-method">
                <div class="order-method-item">
                    <img src="{{asset('assets/img/order1.png')}}">
                    <span>Select Location</span>
                </div>
                <div class="order-method-item">
                    <img src="{{asset('assets/img/order2.png')}}">
                    <span>Choose order now <br>or order for later</span>
                </div>
                <div class="order-method-item">
                    <img src="{{asset('assets/img/order3.png')}}">
                    <span>Select time and date <br>for "Order for later"</span>
                </div>
                <div class="order-method-item">
                    <img src="{{asset('assets/img/order4.png')}}">
                    <span>Place your order</span>
                </div>
            </div>
        </div>
    </div>
</section>
<section class="dishes-offer">
    <div class="container">
        <div class="row">
            <div class="dishes-parent-div">
                <ul class="nav nav-pills" id="pills-tab" role="tablist">

                    @foreach($categories as $cat)
                    <li class="nav-item">
                        <a class="nav-link {{strtolower($cat->name)==strtolower($first_cat->name)?'active':''}}" id="pills-{{strtolower($cat->name)}}-tab" data-toggle="pill" href="#pills-{{strtolower($cat->name)}}" role="tab" aria-controls="pills-{{strtolower($cat->name)}}" aria-selected="true">
                            <div class="dishes-item current-item">
                                <img src="{{$path_pic}}img/categories/{{$cat->desktop_pic}}">
                                <span>{{strtoupper($cat->name)}}</span>
                            </div>
                        </a>
                    </li>
                    @endforeach
                </ul>
            </div>
            <div class="tab-content" id="pills-tabContent">
                @foreach($categories as $cat)
                <div class="tab-pane fade {{strtolower($cat->name)==strtolower($first_cat->name)?'show active':''}}" id="pills-{{strtolower($cat->name)}}" role="tabpanel" aria-labelledby="pills-{{strtolower($cat->name)}}-tab">
                    <div class="buy-dishes">
                        <?php $total = 0?>
                        @foreach($products as $pro)
                            @if($cat->id == $pro->category_id)
                                    @if($total<=2)
                                        <div class="buy-dish-item">
                                            <img src="{{$path_pic}}img/products/{{$pro->desktop_pic}}">
                                            <div class="dish-text">
                                                <h3>{{$pro->name}} </h3>
                                                <span>₱{{$pro->price}}</span>
                                            </div>
                                        </div>
                                    @endif
                                    @php($total+=1)
                            @endif
                        @endforeach
                    </div>
                    <div class="more-dishes">
                        <a href="{{url('menu')}}/{{$cat->id}}">More <i class="fas fa-angle-double-right"></i></a>
                    </div>
                </div>
                @endforeach
            </div>
        </div>
</section>

<section class="home-prod-description">
    <div class="grid-flex">
        <div class="col col-image" style="background-image: url({{ env('BACKEND_URL').$customization->section_one_image }}); height: 400px;">
            &nbsp;
        </div>
        <div class="col col-text col-left">
            <div class="Aligner-item">
                <h2>{{ $customization->section_one_title }}</h2>
                <p>{{ $customization->section_one_desc }}</p>
            </div>
        </div>
    </div>
    <div class="grid-flex">
        <div class="col col-image" style="background-image: url({{ env('BACKEND_URL').$customization->section_two_image }});  height: 400px;">
        </div>
        <div class="col col-text">
            <div class="Aligner-item">
                <h2>{{ $customization->section_two_title }}</h2>
                <p>{{ $customization->section_two_desc }}</p>
                </p>
            </div>
        </div>
    </div>
</section>
<section class="leteat">
    <div class="container">
        <div class="row">
            <div class="leteatinner">
                <h1>LET'S EAT</h1>
                <div class="orders-btn">
                    <a href="{{route('menu')}}">Order Now</a>
                </div>
            </div>
        </div>
    </div>
</section>
@endsection
@section('modal')
<div class="modal fade" id="ordernowid2" tabindex="-1" role="dialog" aria-labelledby="ordernowidlabel2" aria-hidden="true">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">

        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
        <i class="fal fa-times-circle"></i>
        </button>
      </div>
      <div class="modal-body">
        <h5 class="modal-title" id="ordernowidlabel2">Select your location</h5>
        <select id="mySelect" data-show-content="true" class="form-control">
          <option  disabled="" selected="">SELECT YOUR LOCATION</option>
          @foreach($locations as $location)
              <option value="{{$location->location_name}}" data-content="<i class='fa fa-map-marker-alt'></i> {{$location->location_name}}"></option>
          @endforeach

        </select>


        <div class="ordernow-modalwind-btn">
          <a href="#">ORDER NOW</a>
        </div>
      </div>
    </div>
  </div>
</div>

<div class="modal fade" id="ordernowid" tabindex="-1" role="dialog" aria-labelledby="ordernowidlabel" aria-hidden="true">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">

        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
        <i class="fal fa-times-circle"></i>
        </button>
      </div>
      <div class="modal-body">
        <h5 class="modal-title" id="ordernowidlabel">Select your location</h5>
        <select id="mySelect" data-show-content="true" class="form-control">
          <option  disabled="" selected="">SELECT YOUR LOCATION</option>
          @foreach($locations as $location)
              <option value="{{$location->location_name}}" data-content="<i class='fa fa-map-marker-alt'></i> {{$location->location_name}}"></option>
          @endforeach

        </select>
        <div class="calendar-item">

          <div class="datepickeritem">

            <div class="ui calendar" id="example2">
              <div class="ui input left icon">
                <i class="calendar icon"><img src="assets/img/cal-icon.png"></i>
                <input type="text" placeholder="Date">
              </div>
            </div>
          </div>
                          <div class="timepicker-item">
<!--                             <div class="form-group">
                              <div class="input-group time" id="timepicker">
                                <input class="form-control" placeholder="HH:MM AM/PM"/><span class="input-group-append input-group-addon"><span class="input-group-text"><i class="fa fa-clock"></i></span></span>
                              </div>
                            </div> -->
                            <div class="mytimepick-parent">
                              <input id="timepicker2" type="text" name="timepicker2" placeholder="Select Time" />
                              <i class="fa fa-clock"></i>
                              </div>
                          </div>


        </div>

        <div class="ordernow-modalwind-btn">
          <a href="#">ORDER FOR LATER</a>
        </div>
      </div>
    </div>
  </div>
</div>

@endsection
@section('scripts')
    <script src="https://code.jquery.com/jquery-3.5.1.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    <script src="{{asset('assets/js/tether.min.js')}}"></script>
    <script src="{{asset('assets/js/checkboxselect.js')}}"></script>
    <script src="{{asset('assets/js/owl.carousel.min.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/bootstrap-select.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/jquery-ui.min.js')}}"></script>
    <!-- <script type="text/javascript" src="assets/js/jquery.timepicker.min.js"></script> -->
    <script type="text/javascript" src="{{asset('assets/js/moment.min.js')}}"></script>
    <!-- <script type="text/javascript" src="assets/js/bootstrap-datetimepicker.min.js"></script> -->
    <script src="{{asset('assets/js/semantic.min.js')}}"></script>
    <script src="{{asset('assets/js/timepicki.js')}}"></script>

    <script src="{{asset('assets/js/custom.js')}}"></script>
    <script>
        jQuery(document).ready(function($) {
            $('select').selectpicker();
        });
    </script>


    <script>
        $( function() {
            $( "#datepicker" ).datepicker();
        } );
    </script>


    <script>
        jQuery(document).ready(function($) {
            $('#example2').calendar({
                type: 'date'
            });
            $('#example3').calendar({
                type: 'time'
            });
            $('#desktop-example2').calendar({
                type: 'date'
            });
            $('#desktop-example3').calendar({
                type: 'time'
            });
        });
    </script>


    <script>
        $('#timepicker1').timepicki();

        $('#timepicker2').timepicki();
    </script>
@endsection
