@extends('layouts.master')
@section('nav')<nav class="navbar navbar-expand-lg navbar-light desktop-nav">@endsection
@section('content')
    <section class="profile-bg">
    </section>
    <section class="profile-main">
        <div class="container-fluid">
            <div class="row">
                <div class="col-md-3">
                    <div class="profile-left-section">
                        <div class="profile-left-section-inner">
                            <div class="profile-top-inner">
                                <div class="change-profie-img">
                                    <div class="circle">
                                        <img class="profile-pic" src="{{ auth()->user()->google_user_id ? auth()->user()->profile_pic : asset('assets/img/profiles/profile.png')}}">
                                    </div>
                                    {{-- <div class="p-image">
                                        <i class="fa fa-camera upload-button"></i>
                                        <input class="file-upload" type="file" accept="image/*"/>
                                    </div> --}}
                                </div>
                                <div class="profile-info-section">
                                    <div class="prof-info-inner">
                                        <div>{{auth()->user()->first_name.' '.auth()->user()->last_name}}</div>
                                        <div>{{auth()->user()->city}}</div>
                                    </div>
                                </div>
                            </div>

                            <div class="profile-tabs">
                                <ul class="nav nav-tabs" id="myTab" role="tablist">
                                    <li class="nav-item">
                                        <a class="nav-link active" id="profile-tab" data-toggle="tab" href="#myprof" role="tab" aria-controls="home" aria-selected="true"><i class="fas fa-user"></i> PROFILE</a>
                                    </li>
                                    <li class="nav-item">
                                        <a class="nav-link" id="order-tab" data-toggle="tab" href="#myord" role="tab" aria-controls="profile" aria-selected="false"><i class="fas fa-shopping-cart"></i>MY ORDERS
                                        </a>
                                    </li>
                                    <li class="nav-item">
                                        <a class="nav-link" id="loyality-tab" data-toggle="tab" href="#loy" role="tab" aria-controls="contact" aria-selected="false"><i class="far fa-gift-card"></i> LOYALTY PROGRAM</a>
                                    </li>
                                </ul>
                                @if(auth()->user())
                                    <div class="logout-btn">
                                        <form id="logout-form" action="{{ route('logout') }}" method="POST">
                                            {{ csrf_field() }}
                                            <button style="background: white; width: 100px;
                                                            display: inline-block;
                                                            text-align: center;
                                                            height: 29px;
                                                            line-height: 29px;
                                                            color: #68B0AB;
                                                            font-size: 15px;
                                                            /* margin: auto; */
                                                            display: block;
                                                            border-radius: 5px;
                                                            font-weight: 500;
                                                            margin-left: 67px;
                                                            border: none;">
                                                LOGOUT
                                            </button>
                                        </form>
                                    </div>
                                @endif
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-md-9">

                    <div class="tab-content" id="myTabContent">
                        <div class="tab-pane fade show active" id="myprof" role="tabpanel" aria-labelledby="profile-tab">

                            <div class="profile-inner-info">
                                <a href="{{url('edit/profile')}}">
                                    <div class="profile-edit">
                                        <span>Edit <i class="fas fa-pencil"></i></span>
                                    </div>
                                </a>
                                <div class="profile-detail-info">
                                    <div class="prof-info-item">
                                        <div>Name:</div>
                                        <div>{{auth()->user()->first_name.' '.auth()->user()->last_name}}</div>
                                    </div>
                                    <div class="prof-info-item">
                                        <div>Email:</div>
                                        <div>{{auth()->user()->email}}</div>
                                    </div>
                                    <div class="prof-info-item">
                                        <div>Contact:</div>
                                        <div>{{auth()->user()->phone}}</div>
                                    </div>
                                    @php($Sno=0)
                                    @foreach($address as $ad)
                                    <div class="prof-info-item">
                                        <div>Address {{$Sno+=1}}</div>
                                        <div>{{$ad->address}}</div>
                                    </div>
                                    @endforeach
                                    <div class="prof-info-item">
                                        <div>Birthday:</div>
                                        <div>{{auth()->user()->dob}}</div>
                                    </div>
                                </div>
                            </div>
                            <div class="logout-btn mb-logut-btn">
                                <a href="#">LOGOUT</a>
                            </div>


                        </div>
                        <div class="tab-pane fade" id="myord" role="tabpanel" aria-labelledby="order-tab">
                            <div class="account-order-inner">
                                @foreach($orders->unique('id') as $order)
                                <div class="thanks-orderconfirmed">
                                    <div class="container">
                                        <div class="row">
                                            <div class="thanks-orderconfirmed-inner">
                                                <div class="thanks-orderconfirmed-item">
                                                    <div class="order-info">
                                                        <div class="orderstatus">
                                                            <span>Status</span>
                                                            <span>{{$order->payment_status=='completed'?'Completed':'Ongoing'}}</span>
                                                        </div>
                                                        <div class="ordernumber">
                                                            <span>Order Number</span>
                                                            <span>{{strtoupper(implode("-", str_split($order->order_unique_id, 4)))}}</span>
                                                        </div>
                                                        <div class="ordernumber">
                                                            <span>Payment</span>
                                                            <span>{{strtoupper($order->payment_type)}}</span>
                                                        </div>
                                                    </div>
                                                    @php($ingredientPrice=0)
                                                    <div class="thankyou-order-table" style="height:146px;overflow:auto;">
                                                        <table class="table table-borderless" id="ticketLinesTable1">
                                                            <tbody>
                                                            @foreach($order_items as $item)
                                                                @if($item->order_id==$order->id)
                                                                    @foreach($products as $pro)
                                                                        @if($pro->id==$item->product_item_id)
                                                                            <tr>
                                                                                <td><span class="table-quantity">{{$item->product_item_count}}x</span></td>
                                                                                <td><span class="table-title">{{$pro->name}}</span>
                                                                                    <span class="table-desc">
                                                                                        @foreach($order_item_ingredients as $ingredient_item)
                                                                                            @if($ingredient_item->order_id==$order->id && $ingredient_item->product_item_id==$pro->id)
                                                                                                @foreach($ingredients as $ingredient)
                                                                                                    @if($ingredient->id==$ingredient_item->product_ingredient_id)
                                                                                                        {{$ingredient->name.','}}
                                                                                                        @php($ingredientPrice+=$ingredient->price)
                                                                                                    @endif
                                                                                                @endforeach
                                                                                            @endif
                                                                                        @endforeach
                                                                                    </span>
                                                                                </td>
                                                                                <td>
                                                                                    <span class="table-price">₱{{($pro->price+$ingredientPrice)*$item->product_item_count}}</span>
                                                                                </td>
                                                                            </tr>
                                                                        @endif
                                                                    @endforeach
                                                                @endif
                                                            @endforeach
                                                            <tr class="deliverycharges">
                                                                <td></td>
                                                                <td><span class="deliveryfee">Delivery Fee</span></td>
                                                                <td style="font-size: 12px;"><span class="deliverprice">0</span></td>
                                                            </tr>
                                                            @if($order->payment_type=='paypal')
                                                                <tr class="deliverycharges">
                                                                    <td></td>
                                                                    <td><span class="deliveryfee">PAYPAL TAX</span></td>
                                                                    <td style="font-size: 12px;"><span class="deliverprice">₱{{$order->total_amount-$order->sub_total}}</span></td>
                                                                </tr>
                                                            @endif
                                                            <tr class="total-output">
                                                                <td>

                                                                </td>
                                                                <td width="60%"><div class="total-product-pricing">
                                                                        <span class="table-totalprice">Total ₱{{$order->total_amount}}</span>
                                                                    </div></td>
                                                            </tr>
                                                            </tbody>
                                                        </table>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                @endforeach
                            </div>
                        </div>
                        <div class="tab-pane fade" id="loy" role="tabpanel" aria-labelledby="loyality-tab">
                            <div class="loyality-program-inner">
                                <div class="loyality-heading">
                                    <span>You currently have 280 PTS</span>
                                </div>

                                <div class="loyality-rangeslide-parent">
                                    <div class="loyality-rangeslide-child">
                                        <span class="rangeslide-full"></span>
                                        <span class="rangeslide-half"></span>
                                    </div>
                                    <div class="range-numbrs">
                                        <span class="rangeslide-number1">300</span>
                                        <span class="rangeslide-number2">600</span>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>

@endsection

@section('modal')
<div class="modal fade" id="ordernowid" tabindex="-1" role="dialog" aria-labelledby="ordernowidlabel" aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">

                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <i class="fal fa-times-circle"></i>
                </button>
            </div>
            <div class="modal-body">
                <h5 class="modal-title" id="ordernowidlabel">Select your location</h5>
                <select id="mySelect" data-show-content="true" class="form-control">
                    <option  disabled="" selected="">SELECT YOUR LOCATION</option>
                    <option data-content="<i class='fa fa-map-marker-alt'></i> Makati"></option>
                    <option data-content="<i class='fa fa-map-marker-alt'></i> Cutlery"></option>
                    <option data-content="<i class='fa fa-map-marker-alt'></i> Cutlery2"></option>

                </select>
                <div class="calendar-item">

                    <div class="datepickeritem">

                        <div class="ui calendar" id="example2">
                            <div class="ui input left icon">
                                <i class="calendar icon"></i>
                                <input type="text" placeholder="Date">
                            </div>
                        </div>
                    </div>
                    <div class="timepicker-item">
                        <div class="ui calendar" id="example3">
                            <div class="ui input left icon">
                                <i class="time icon"></i>
                                <input type="text" placeholder="Time">
                            </div>
                        </div>
                    </div>
                </div>

                <div class="ordernow-modalwind-btn">
                    <a href="#">ORDER FOR LATER</a>
                </div>
            </div>
        </div>
    </div>
</div>
<div class="modal fade" id="addtocartbtn-popup" tabindex="-1" role="dialog" aria-labelledby="ordernowidlabel" aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">

                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true"><i class="fal fa-times-circle"></i></span>
                </button>
            </div>
            <div class="modal-body">
                <div class="menu-content-inner-item-popup">
                    <div class="popup-img">
                        <img src="assets/img/dish.png">
                    </div>
                    <div class="modal-popup-text">
                        <div class="menu-text">
                            <h3>Chicken Pesto </h3>
                            <span>280 kcal</span>
                            <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut. </p>
                        </div>
                        <div class="menu-btns">
                            <a href="">₱350</a>
                            <a href=""><i class="fas fa-plus-circle"></i>ADD TO CART</a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection

@section('scripts')
<script src="https://code.jquery.com/jquery-3.5.1.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js"></script>
<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
<script src="assets/js/tether.min.js"></script>
<script src="assets/js/checkboxselect.js"></script>
<script src="assets/js/owl.carousel.min.js"></script>
<script src="assets/js/bootstrap-select.js"></script>
<script src="assets/js/jquery-ui.min.js"></script>
<script src="assets/js/jquery.timepicker.min.js"></script>
<script src="assets/js/semantic.min.js"></script>
<script src="assets/js/custom.js"></script>
<script>
    $(document).ready(function() {

        var readURL = function(input) {
            if (input.files && input.files[0]) {
                var reader = new FileReader();
                reader.onload = function (e) {
                    $('.profile-pic').attr('src', e.target.result);
                }

                reader.readAsDataURL(input.files[0]);
            }
        }

        $(".file-upload").on('change', function(){
            readURL(this);
        });

        $(".upload-button").on('click', function() {
            $(".file-upload").click();
        });
    });
</script>
@endsection
