@extends('layouts.master')
@section('nav')
    <nav class="navbar navbar-expand-lg navbar-light desktop-nav">@endsection
@section('content')
    @php($countFields=1)
    <section class="profile-bg">
    </section>
    <section class="profile-main">
        <div class="container-fluid">
            <div class="row">
                <div class="col-md-3">
                    <div class="profile-left-section">
                        <div class="profile-left-section-inner">
                            <div class="profile-top-inner">
                                <div class="change-profie-img">
                                    <div class="circle">
                                        <!-- User Profile Image -->
                                        <img class="profile-pic" id="profile_pic" src="{{ auth()->user()->google_user_id ? auth()->user()->profile_pic : asset('assets/img/profiles/profile.png')}}">
                                        <!-- Default Image -->
                                        <!-- <i class="fa fa-user fa-5x"></i> -->
                                    </div>
                                    @if(!auth()->user()->google_user_id)
                                    <div class="p-image">
                                        <i class="fa fa-camera upload-button"></i>
                                        <input class="file-upload" type="file" accept="image/*" name="image"/>
                                    </div>
                                    @endif
                                </div>
                                <div class="profile-info-section">
                                    <div class="prof-info-inner">
                                        <div>{{auth()->user()->first_name.' '.auth()->user()->last_name}}</div>
                                        <div>{{auth()->user()->city}}</div>
                                    </div>
                                </div>
                            </div>

                            <div class="profile-tabs">
                                <ul class="nav nav-tabs" id="myTab" role="tablist">
                                    <li class="nav-item">
                                        <a class="nav-link active" id="profile-tab" data-toggle="tab" href="#myprof" role="tab" aria-controls="home" aria-selected="true"><i class="fas fa-user"></i> PROFILE</a>
                                    </li>
                                    {{-- <li class="nav-item">
                                        <a class="nav-link" id="order-tab" data-toggle="tab" href="#myord" role="tab" aria-controls="profile" aria-selected="false"><i class="fas fa-shopping-cart"></i>MY ORDERS
                                        </a>
                                    </li>
                                    <li class="nav-item">
                                        <a class="nav-link" id="loyality-tab" data-toggle="tab" href="#loy" role="tab" aria-controls="contact" aria-selected="false"><i class="far fa-gift-card"></i> LOYALTY PROGRAM</a>
                                    </li> --}}
                                </ul>
                                <div class="logout-btn">
                                    <a href="#">LOGOUT</a>
                                </div>

                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-md-9">
                    <div class="tab-content" id="myTabContent">
                        @include('boxes.profile_edit_box')
                        <div class="tab-pane fade" id="myord" role="tabpanel" aria-labelledby="order-tab">order</div>
                        <div class="tab-pane fade" id="loy" role="tabpanel" aria-labelledby="loyality-tab">loyality program</div>
                    </div>
                </div>
            </div>
        </div>
    </section>
@endsection
@section('modal')
    <div class="modal fade" id="ordernowid" tabindex="-1" role="dialog" aria-labelledby="ordernowidlabel" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">

                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <i class="fal fa-times-circle"></i>
                    </button>
                </div>
                <div class="modal-body">
                    <h5 class="modal-title" id="ordernowidlabel">Select your location</h5>
                    <select id="mySelect" data-show-content="true" class="form-control">
                        <option  disabled="" selected="">SELECT YOUR LOCATION</option>
                        <option data-content="<i class='fa fa-map-marker-alt'></i> Makati"></option>
                        <option data-content="<i class='fa fa-map-marker-alt'></i> Cutlery"></option>
                        <option data-content="<i class='fa fa-map-marker-alt'></i> Cutlery2"></option>

                    </select>
                    <div class="calendar-item">

                        <div class="datepickeritem">

                            <div class="ui calendar" id="example2">
                                <div class="ui input left icon">
                                    <i class="calendar icon"></i>
                                    <input type="text" placeholder="Date">
                                </div>
                            </div>
                        </div>
                        <div class="timepicker-item">
                            <div class="ui calendar" id="example3">
                                <div class="ui input left icon">
                                    <i class="time icon"></i>
                                    <input type="text" placeholder="Time">
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="ordernow-modalwind-btn">
                        <a href="#">ORDER FOR LATER</a>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="modal fade" id="addtocartbtn-popup" tabindex="-1" role="dialog" aria-labelledby="ordernowidlabel" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">

                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true"><i class="fal fa-times-circle"></i></span>
                    </button>
                </div>
                <div class="modal-body">
                    <div class="menu-content-inner-item-popup">
                        <div class="popup-img">
                            <img src="assets/img/dish.png">
                        </div>
                        <div class="modal-popup-text">
                            <div class="menu-text">
                                <h3>Chicken Pesto </h3>
                                <span>280 kcal</span>
                                <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut. </p>
                            </div>
                            <div class="menu-btns">
                                <a href="">₱350</a>
                                <a href=""><i class="fas fa-plus-circle"></i>ADD TO CART</a>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

@endsection
@section('scripts')
    <script src="https://code.jquery.com/jquery-3.5.1.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    <script src="/assets/js/tether.min.js"></script>
    <script src="/assets/js/checkboxselect.js"></script>
    <script src="/assets/js/owl.carousel.min.js"></script>
    <script src="/assets/js/bootstrap-select.js"></script>
    <script src="/assets/js/jquery-ui.min.js"></script>
    <script src="/assets/js/jquery.timepicker.min.js"></script>
    <script src="/assets/js/semantic.min.js"></script>
    <script src="/assets/js/custom.js"></script>
    <script>
        $(document).ready(function() {

            var readURL = function(input) {
                if (input.files && input.files[0]) {
                    var reader = new FileReader();
                    reader.onload = function (e) {
                        $('.profile-pic').attr('src', e.target.result);
                    }

                    reader.readAsDataURL(input.files[0]);
                }
            }

            $(".file-upload").on('change', function(){
                readURL(this);
            });

            $(".upload-button").on('click', function() {
                $(".file-upload").click();
            });
        });
    </script>

    <script>
        $( function() {
            $( "#datepicker" ).datepicker();
        } );
    </script>
            <script>
                var p = 1;
                for (p = 1; p <= document.getElementById("countfields").value; p++)
                {
                    var myString = document.getElementById("address"+p+"").id;
                    p = myString.substring(7,10);
                    console.log(myString.substring(7,10))
                }
                var list = [];
                var max_fields = 11 - p; //maximum input boxes allowed
                var x = p-1;
                $(document).ready(function() {
                    var wrapper   		= $(".input_fields_wrap"); //Fields wrapper
                    var add_button      = $(".add_field_button"); //Add button ID

                    $(add_button).click(function(e){ //on add input button click
                        e.preventDefault();
                        if(x < max_fields){ //max input box allowed
                            x+=1; //text box increment
                            $(wrapper).append('<div><input type="text" id="address'+x+'" name="address[]"/><a href="#" class="remove_field">Remove</a></div>'); //add input box
                            console.log(x);
                        }
                    });

                    $(wrapper).on("click",".remove_field", function(e){ //user click on remove text
                        e.preventDefault(); $(this).parent('div').remove(); x--;
                    })
                });
                 var base_url = document.getElementById("base_url").value;
                        function SaveProfile(){
                            let timerInterval
                            Swal.fire({
                                timer: 1000,
                                background:'#68b0ab',
                                imageUrl:base_url+'/assets/img/logo-footer.png',
                                timerProgressBar: true,
                                didOpen: () => {
                                    Swal.showLoading()
                                    timerInterval = setInterval(() => {
                                        const content = Swal.getContent()
                                        if (content) {
                                            const b = content.querySelector('b')
                                            if (b) {
                                                b.textContent = Swal.getTimerLeft()
                                            }
                                        }
                                    }, 100)
                                },
                                willClose: () => {
                                    clearInterval(timerInterval)
                                }
                            }).then((result) => {
                                /* Read more about handling dismissals below */
                                if (result.dismiss === Swal.DismissReason.timer) {
                                  let _url     = base_url+`/update/profile`;
                                  let _token   = $('meta[name="csrf-token"]').attr('content');
                                  var first_name = document.getElementById("first_name").value;
                                  var last_name = document.getElementById("last_name").value;
                                  var contact = document.getElementById("contact").value;
                                  var dob = document.getElementById("datepicker").value;
                                  var email = document.getElementById("email").value;
                                  var image = document.getElementById("profile_pic").type;
                                  var profile = document.getElementById("profile_pic").value;
                                  var formdata = list;
                                  var i;
                                  for (i = 1; i <= x; i++) {
                                            list.push(document.getElementById("address"+i+"").value);
                                        }
                                  $.ajax({
                                      url: _url,
                                      type: "POST",
                                      data: {
                                          formdata: JSON.stringify(list),
                                          first_name: first_name,
                                          last_name: last_name,
                                          email: email,
                                          dob: dob,
                                          contact: contact,
                                          profile: profile,
                                          _token: _token
                                      },
                                      success: function(response) {
                                        //   $('#add-address-popup').modal('hide');
                                        //   $('body').removeClass('modal-open');
                                        //   $('.modal-backdrop').remove();
                                        console.log(x);
                                        x = p;
                                          $("#myTabContent").load(base_url+"/view/profile/edit/box");
                                        console.log(response)

                                      },
                                      error: function(response) {
                                      }
                                  });
                                }
                            });
                        }

                        function RemoveAddress(id){
                            Swal.fire({
                                        title: 'Are you sure?',
                                        text: "You won't be able to revert this!",
                                        icon: 'warning',
                                        showCancelButton: true,
                                        confirmButtonColor: '#3085d6',
                                        cancelButtonColor: '#d33',
                                        confirmButtonText: 'Yes, delete it!'
                                        }).then((result) => {
                                if (result.isConfirmed) {
                                  let _url     = base_url+`/remove/address/profile`;
                                  let _token   = $('meta[name="csrf-token"]').attr('content');
                                    $.ajax({
                                      url: _url,
                                      type: "POST",
                                      data: {
                                        id: id,
                                        _token: _token
                                      },
                                      success: function(response) {
                                        //   $('#add-address-popup').modal('hide');
                                        //   $('body').removeClass('modal-open');
                                        //   $('.modal-backdrop').remove();
                                        console.log(x);
                                        x = p-1;
                                          $("#myTabContent").load(base_url+"/view/profile/edit/box");
                                        console.log(response)

                                      },
                                      error: function(response) {
                                      }
                                  });
                                            console.log(id)
                                            Swal.fire(
                                            'Deleted!',
                                            'Your file has been deleted.',
                                            'success'
                                            )
                                        }
                                        })
                        }
            </script>
@endsection
