@extends('layouts.master')
@section('nav')<nav class="navbar navbar-expand-lg navbar-light desktop-nav">@endsection
    @section('content')
        @php(session(['product_id'=>$product->id]))
        @php(session(['product_price'=>$product->price]))
        @php(session(['product_name'=>$product->name]))
        <section class="selected-item-div">
            <div class="container-fluid">
                <div class="row">

                    @php($cart = session()->get('product'.session('product_id')))
                    <div class="col-md-7">
                        <div class="selected-left-parent">
                            @foreach($ingredients_categories as $category)
                                <div class="selected-item-parent-item">
                                    <div class="selected-item-child">
                                        <div class="heading-title">
                                            <h5>{{$category->name}}</h5>
                                        </div>
                                        <div class="selected-item-inner">
                                            <div class="owl-carousel">
                                                @foreach($ingredients as $ingredient)
                                                    @if($ingredient->ingredients_category===$category->id)
                                                        @foreach($IngredientsProducts as $inP)
                                                            @if($ingredient->id==$inP->ingredient_id)
                                                                @if(isset($cart[$ingredient->id]['product']))
                                                                    @php($value=$cart[$ingredient->id]['product'])
                                                                @else
                                                                    @php($value=NULL)
                                                                @endif
                                                                <div class="prd-selected">
                                                                    <button class="plus-icon" id="{{$value==$product->id?'exists'.$ingredient->id:'no'.$ingredient->id}}" style="background: transparent; border: none" name="{{$value==$product->id?'remove_ingredients':'add_ingredients'}}" value="{{$ingredient->id}}" data-price="{{$ingredient->price}}" data-name="{{$ingredient->name}}" data-id="{{$ingredient->id}}" data-exist="{{$value==$product->id?'yes':'no'}}" data-product="{{$product->id}}" onclick="createPost(this)">
                                                                        <i id="{{$ingredient->id}}" class="fas fa-{{$value==$product->id?'check':'plus'}}-circle"></i>
                                                                    </button>
                                                                    <div class="selected-img">
                                                                        <img src="{{$path_pic}}/img/ingredients/{{$ingredient->desktop_pic}}">
                                                                    </div>
                                                                    <div class="selected-item-title">
                                                                        <p>{{$ingredient->name}}</p>
                                                                    </div>
                                                                </div>
                                                            @endif
                                                        @endforeach
                                                    @endif
                                                @endforeach
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            @endforeach
                        </div>
                    </div>
                    <div class="col-md-5 selected-checkout">
                        <div class="selected-checkout-inner">
                            <div class="selected-item-content">
                                <img src="{{$path_pic}}/img/products/{{$product->desktop_pic}}">
                                <div class="menu-text">
                                    <h2>{{$product->name}}</h2>
                                    <span>{{$product->calorie}} kcal</span>

                                    <div class="product-quantityprice">
                                        <span class="prod-price">₱{{$product->price}}</span>
                                        <form method='POST' action='#'>
                                            <div class="quantity">
                                                <input type='button' value='-' class='minus' field='quantity' />
                                                <input type='text' name='quantity' value='0' class='qty' />
                                                <input type='button' value='+' class='plus' field='quantity' />
                                            </div>
                                        </form>
                                    </div>

                                </div>
                            </div>

                            <div class="selected-total-checkout" id="cart">
                                @include('boxes.selected_item_cart')
                            </div>
                        </div>

                    </div>
                </div>
            </div>
        </section>
    @endsection
    @section('modal')
        <div class="modal fade" id="ordernowid" tabindex="-1" role="dialog" aria-labelledby="ordernowidlabel" aria-hidden="true">
            <div class="modal-dialog" role="document">
                <div class="modal-content">
                    <div class="modal-header">

                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <i class="fal fa-times-circle"></i>
                        </button>
                    </div>
                    <div class="modal-body">
                        <h5 class="modal-title" id="ordernowidlabel">Select your location</h5>
                        <select id="mySelect" data-show-content="true" class="form-control">
                            <option  disabled="" selected="">SELECT YOUR LOCATION</option>
                            <option data-content="<i class='fa fa-map-marker-alt'></i> Makati"></option>
                            <option data-content="<i class='fa fa-map-marker-alt'></i> Cutlery"></option>
                            <option data-content="<i class='fa fa-map-marker-alt'></i> Cutlery2"></option>

                        </select>
                        <div class="calendar-item">

                            <div class="datepickeritem">

                                <div class="ui calendar" id="example2">
                                    <div class="ui input left icon">
                                        <i class="calendar icon"></i>
                                        <input type="text" placeholder="Date">
                                    </div>
                                </div>
                            </div>
                            <div class="timepicker-item">
                                <div class="ui calendar" id="example3">
                                    <div class="ui input left icon">
                                        <i class="time icon"></i>
                                        <input type="text" placeholder="Time">
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="ordernow-modalwind-btn">
                            <a href="#">ORDER FOR LATER</a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="modal fade" id="addtocartbtn-popup" tabindex="-1" role="dialog" aria-labelledby="ordernowidlabel" aria-hidden="true">
            <div class="modal-dialog" role="document">
                <div class="modal-content">
                    <div class="modal-header">

                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true"><i class="fal fa-times-circle"></i></span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <div class="menu-content-inner-item-popup">
                            <div class="popup-img">
                                <img src="{{asset('assets/img/dish.png')}}">
                            </div>
                            <div class="modal-popup-text">
                                <div class="menu-text">
                                    <h3>Chicken Pesto </h3>
                                    <span>280 kcal</span>
                                    <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut. </p>
                                </div>
                                <div class="menu-btns">
                                    <a href="">₱350</a>
                                    <a href=""><i class="fas fa-plus-circle"></i>ADD TO CART</a>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="modal fade" id="itemadded-popup" tabindex="-1" role="dialog" aria-labelledby="ordernowidlabel" aria-hidden="true">
            <div class="modal-dialog" role="document">
                <div class="modal-content">
                    <div class="modal-body">
                        <div class="selected-item-popup">
                            <div class="popup-img">
                                <img src="{{asset('assets/img/tick.png')}}">
                            </div>
                            <div class="modal-added">
                                <h3>Successfully Added</h3>
                                <a href="{{route('menu')}}" class="okay-btn">Okay</a>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <input type="hidden" id="base_url" value="{{env('FRONTEND_URL')}}">
    @endsection
    @section('scripts')
        <script src="https://code.jquery.com/jquery-3.5.1.min.js"></script>
        <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js"></script>
        <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
        <script src="{{asset('assets/js/tether.min.js')}}"></script>
        <script src="{{asset('assets/js/checkboxselect.js')}}"></script>
        <script src="{{asset('assets/js/owl.carousel.min.js')}}"></script>
        <script type="text/javascript" src="{{asset('assets/js/bootstrap-select.js')}}"></script>
        <script type="text/javascript" src="{{asset('assets/js/jquery-ui.min.js')}}"></script>
        <script type="text/javascript" src="{{asset('assets/js/jquery.timepicker.min.js')}}"></script>
        <script src="{{asset('assets/js/semantic.min.js')}}"></script>
        <script src="{{asset('assets/js/custom.js')}}"></script>

        <script>
            jQuery(document).ready(function($) {
                $('select').selectpicker();
            });
        </script>

        <script>
            $( function() {
                $( "#datepicker" ).datepicker();
            } );
        </script>

        <script>
            jQuery(document).ready(function($) {
                $('#example2').calendar({
                    type: 'date'
                });
                $('#example3').calendar({
                    type: 'time'
                });
                $('#desktop-example2').calendar({
                    type: 'date'
                });
                $('#desktop-example3').calendar({
                    type: 'time'
                });
            });
        </script>

        <script>
            jQuery(document).ready(function(){
                // This button will increment the value
                $(".plus").click( function(e) {
                    e.preventDefault();

                    // Define field variable
                    field = "input[name=" + $(this).attr("field") + "]";

                    // Get its current value
                    var currentVal = parseInt($(field).val());

                    // If is not undefined
                    if ( !isNaN(currentVal) && currentVal < 20 ) {
                        // Increment
                        $(field).val(currentVal + 1);
                    }

                });
                // This button will decrement the value till 0
                $(".minus").click( function(e) {
                    e.preventDefault();

                    // Define field variable
                    field = "input[name=" + $(this).attr("field") + "]";

                    // Get its current value
                    var currentVal = parseInt($(field).val());

                    // If it isn't undefined or its greater than 0
                    if ( !isNaN(currentVal) && currentVal > 0 ) {
                        // Decrement one
                        $(field).val(currentVal - 1);
                    }

                });
            });
        </script>
        <script>
            function createPost(ele) {
                var total=Number(document.getElementById("total_price").innerHTML);
                var id = $(ele).attr('data-id');
                var name = $(ele).attr('data-name');
                var product = $(ele).attr('data-product');
                var price = $(ele).attr('data-price');
                var exist = $(ele).attr('id');
                var base_url = document.getElementById("base_url").value

                let _token   = $('meta[name="csrf-token"]').attr('content');
                if (exist=='exists'+id){
                    let _url     = base_url+`/remove/ingredients/cart`;
                    $.ajax({
                        url: _url,
                        type: "POST",
                        data: {
                            remove_ingredients: id,
                            product: product,
                            _token: _token
                        },
                        success: function(response) {
                            document.getElementById(id).className = "fas fa-plus-circle";

                            $("#cart").load(base_url+"/view/selected_item_cart/box");

                            console.log(response);

                            console.log(id);
                        },
                        error: function(response) {
                        }
                    });
                }
                else if(exist=='no'+id) {
                    let _url     = base_url+`/add/ingredients/cart`;
                    $.ajax({
                        url: _url,
                        type: "POST",
                        data: {
                            id: id,
                            product: product,
                            _token: _token
                        },
                        success: function(response) {
                            document.getElementById(id).className = "fas fa-check-circle";
                            $("#cart").load(base_url+"/view/selected_item_cart/box");
                            console.log(response);

                            console.log(id);
                            console.log(product);
                        },
                        error: function(response) {
                        }
                    });
                }

            }

            function AddtoCartWith(ele) {
                var id = $(ele).attr('data-id');
                var price = document.getElementById('total_price').innerText;
                var base_url = document.getElementById("base_url").value

                let _url     = base_url+`/ok/add_to_cart`;
                let _token   = $('meta[name="csrf-token"]').attr('content');
                $.ajax({
                    url: _url,
                    type: "POST",
                    data: {
                        product_without_ingredients: id,
                        withIngredients: 'Yes',
                        price:price,
                        _token: _token
                    },
                    success: function(response) {
                        $("#cart_icon").load(base_url+"/view/cart/icon");
                        console.log(response);
                        console.log(price);
                        console.log(id);
                    },
                    error: function(response) {
                        $("#cart_icon").load(base_url+"/view/cart/icon");
                    }
                });

            }

        </script>
