<?php

use Illuminate\Support\Facades\Route;
use App\Http\Controllers\CartController;
use App\Http\Controllers\HomeController;
use App\Http\Controllers\GoogleController;
use App\Http\Controllers\PaymentController;
use App\Http\Controllers\ProfileController;
use App\Http\Controllers\Auth\FacebookController;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/
Auth::routes();
Route::get('/', [HomeController::class, 'index']);
Route::get('/dashboard', function (){
    redirect(url('login'));
});
/* --------------------- */
/* ---------PROMO------- */
/* --------------------- */
Route::post('/check/promo', [CartController::class, 'coupon']);


/* --------------------- */
/* ---------MENU-------- */
/* --------------------- */
Route::get('/menu', [HomeController::class, 'menuAll'])->name('menu');
Route::get('/menu/{menu}', [HomeController::class, 'menu']);
Route::post('/menu/location/save', [HomeController::class, 'SaveLocation'])->name('SaveLocation');
Route::post('/menu/cart', [HomeController::class, 'add_to_cart'])->name('add_to_cart');
Route::get('/select/{id}/ingredients', [HomeController::class, 'select_ingredients']);
//Route::post('/add/ingredients/cart', [HomeController::class, 'add_ingredients_to_session'])->name('ingredients_cart');
Route::get('/view/cart', [HomeController::class, 'view_cart'])->name('view_cart')->middleware('auth');

Route::post('/add/ingredients/cart', [CartController::class, 'add_ingredients_to_session'])->name('ingredients_cart');
Route::post('/remove/ingredients/cart', [CartController::class, 'remove_ingredients']);
Route::post('/ok/add_to_cart',[CartController::class, 'addToCart']);
Route::delete('/remove/remove_from_cart',[CartController::class, 'RemoveFromCart']);
Route::post('/checkout/processing',[PaymentController::class, 'charge'])->name('checkout');
Route::post('/add/address',[HomeController::class, 'add_address_from_cart'])->name('add_address_from_cart');

/* --------------------- */
/* ---------BOXES------- */
/* --------------------- */
Route::get('/view/cart/checkout', function () {
    return view('boxes.subTotal_checkout_box');
})->name('checkout_box');

Route::get('/view/cart/box', function () {
    return view('boxes.cart_box');
})->name('cart_box');

Route::get('/view/selected_item_cart/box', function () {
    return view('boxes.selected_item_cart');
})->name('selected_item_cart');

Route::get('/view/ingredients/box', function () {
    return view('boxes.ingredients_box');
})->name('ingredients_box');

Route::get('/view/cart/icon', function () {
    return view('boxes.cart_icon');
})->name('cart_icon');

Route::get('/view/cart/checkout/box', function () {
    return view('boxes.cart_checkout_box');
})->name('cart_checkout_box');


Route::get('/view/cart/checkout/main/box', function () {
    return view('boxes.checkout_main');
})->name('cart_checkout_box_main');

Route::get('/view/profile/edit/box', function () {
    return view('boxes.profile_edit_box');
})->name('profile_edit_box');

/* --------------------- */
/* ------BACKEND URL---- */
/* --------------------- */
Route::get('/admin/login', function () {
    return redirect(env('BACKEND_URL'));
});
Route::get('/admin/auth', function () {
    return redirect(env('BACKEND_URL'));
});

/* --------------------- */
/* ----------COD-------- */
/* --------------------- */
Route::get('/payment/successfully/thanks',[CartController::class, function(){
    return view('payment_successfully');
}])->middleware('auth')->name('cod');


/* --------------------- */
/* ------PROFILE-------- */
/* --------------------- */
Route::get('/profile',[ProfileController::class, 'index'])->middleware('auth')->name('profile');
Route::get('/edit/profile',[ProfileController::class, 'edit'])->middleware('auth');
Route::post('/update/profile',[ProfileController::class, 'update'])->middleware('auth')->name('UpdateProfile');
Route::post('/remove/address/profile',[ProfileController::class, 'remove_address'])->middleware('auth')->name('RemoveAddress');

/* --------------------- */
/* -------PAYPAL-------- */
/* --------------------- */
Route::get('payment', [PaymentController::class,'index']);
Route::post('charge', [PaymentController::class,'charge']);
Route::get('paymentsuccess', [PaymentController::class,'payment_success']);
Route::get('paymenterror', [PaymentController::class,'payment_error']);

/* --------------------- */
/* -------FACEBOOK------ */
/* --------------------- */
Route::get('auth/facebook', [FacebookController::class,'redirectToFacebook']);
Route::get('auth/facebook/callback', [FacebookController::class,'handleFacebookCallback']);

/* --------------------- */
/* --------GOOGLE------- */
/* --------------------- */
Route::get('auth/google', [GoogleController::class, 'redirectToGoogle']);
Route::get('auth/google/callback', [GoogleController::class, 'handleGoogleCallback']);
